#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_nfit_uuid, "", "");
KSYMTAB_FUNC(acpi_nfit_ctl, "_gpl", "");
KSYMTAB_FUNC(nfit_get_smbios_id, "_gpl", "");
KSYMTAB_FUNC(__acpi_nvdimm_notify, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_desc_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_shutdown, "_gpl", "");
KSYMTAB_FUNC(__acpi_nfit_notify, "_gpl", "");

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0x2cba0e73, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0x6f366fff, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0x02c844df, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0x1b955d8c, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0x7242a074, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d62b230, "nvdimm_region_notify" },
	{ 0x689d79d0, "mce_usable_address" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x86c37caf, "nd_region_provider_data" },
	{ 0x4af569e7, "nvdimm_bus_add_badrange" },
	{ 0x4d9647d5, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0x8b7c7576, "devm_kmalloc" },
	{ 0x3e0d8c2b, "to_nvdimm" },
	{ 0xf2d7d87, "mce_unregister_decode_chain" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x6c457914, "__nvdimm_create" },
	{ 0x47daa478, "to_nd_region" },
	{ 0xed3b706a, "nvdimm_bus_check_dimm_count" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xec3c8c7e, "acpi_dev_remove_notify_handler" },
	{ 0x36173c1d, "phys_to_target_node" },
	{ 0x1b074f, "mce_is_correctable" },
	{ 0xd75d09b9, "__dynamic_dev_dbg" },
	{ 0x6e1c0ea1, "kernfs_notify" },
	{ 0x261a7a9c, "to_nvdimm_bus" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8a665bfa, "numa_nearest_node" },
	{ 0xf52793d4, "dev_driver_string" },
	{ 0xc23a4601, "__acpi_bus_register_driver" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa08322ce, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x638a9653, "memory_add_physaddr_to_nid" },
	{ 0x2e499338, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xc2c5802, "work_busy" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x5ddda844, "acpi_dev_install_notify_handler" },
	{ 0x9a89dcd2, "to_nd_desc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x5e41599d, "_dev_err" },
	{ 0x2ed62e9f, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0x7bd890ca, "nvdimm_bus_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x8f531898, "kernfs_find_and_get_ns" },
	{ 0x480d7ca1, "nvdimm_name" },
	{ 0x88b982a1, "to_nvdimm_bus_dev" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5fb23729, "nvdimm_volatile_region_create" },
	{ 0x1152a85a, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xfb578fc5, "memset" },
	{ 0x8c4f8d9b, "_dev_warn" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa397b1ab, "nvdimm_in_overwrite" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xda0f227, "nvdimm_to_bus" },
	{ 0x675cb93d, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf4e827a2, "nd_region_dev" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x9200eeec, "nd_cmd_in_size" },
	{ 0x6790ebd3, "mce_is_memory_error" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x31b7afab, "param_ops_bool" },
	{ 0x18587b66, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x9f15d399, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf04d407b, "nvdimm_pmem_region_create" },
	{ 0x95a75454, "nvdimm_kobj" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8b2b1f7, "mce_register_decode_chain" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x62b165fd, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x77358855, "iomem_resource" },
	{ 0xd6d41fbf, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0x69f93fbf, "nvdimm_cmd_mask" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "E9594A7790D9F1F87A70F10");
MODULE_INFO(rhelversion, "9.6");
