#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0x6d2c993f, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0xc44e60bc, "_gpl");
SYMBOL_CRC(ahci_ops, 0x40c09617, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xb6ffba9b, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xaeded42c, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x87b5415b, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x2f0a71ea, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x47a974bf, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x52197bec, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xae518261, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xb287fe17, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x0df1ce14, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x2dc18172, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x9b3d5003, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x1f8d18ef, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x1e2162d1, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x12cf962f, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x86546e19, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x5a0d3955, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xa7c4a63a, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x0b34370e, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xc1208320, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x6a75246a, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xd1fe949b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x757e483f, "ata_std_qc_defer" },
	{ 0x884babb9, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xd75d09b9, "__dynamic_dev_dbg" },
	{ 0xcac0fef8, "ata_port_classify" },
	{ 0x46892696, "ata_qc_complete_multiple" },
	{ 0x3b3c6085, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x239bda8b, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4d467922, "ata_host_start" },
	{ 0xf6f85ff9, "devm_request_threaded_irq" },
	{ 0x3f9275a2, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x71a128f, "ata_host_register" },
	{ 0x5d673bba, "ata_host_activate" },
	{ 0x8c4f8d9b, "_dev_warn" },
	{ 0xb59a7913, "ata_dummy_port_ops" },
	{ 0xad7a358a, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x8b7c7576, "devm_kmalloc" },
	{ 0x14964312, "dmam_alloc_attrs" },
	{ 0xf52793d4, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0xceb3abfe, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf3d155cb, "sata_link_hardreset" },
	{ 0xd13dc80b, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1467a79d, "ata_ehi_clear_desc" },
	{ 0x9521fc14, "ata_ehi_push_desc" },
	{ 0x590dc23d, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf168afb7, "ata_port_abort" },
	{ 0xa940a4d5, "sata_lpm_ignore_phy_events" },
	{ 0x20069159, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xd6d41fbf, "param_ops_int" },
	{ 0x31b7afab, "param_ops_bool" },
	{ 0xa2bfdfbb, "sata_pmp_port_ops" },
	{ 0xa3973953, "dev_attr_sw_activity" },
	{ 0x3a1f70e7, "dev_attr_unload_heads" },
	{ 0x84b8f3ac, "dev_attr_ncq_prio_supported" },
	{ 0xe1973835, "dev_attr_ncq_prio_enable" },
	{ 0xa256ae41, "dev_attr_link_power_management_policy" },
	{ 0x39b4ffe6, "dev_attr_em_message_type" },
	{ 0xd7885f4f, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9d02033e, "__pm_runtime_resume" },
	{ 0xb807a97d, "__pm_runtime_idle" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x91a74d18, "ata_link_next" },
	{ 0xdaa784f0, "ata_wait_register" },
	{ 0xff1a0984, "ata_dev_set_feature" },
	{ 0x2e499338, "_dev_info" },
	{ 0xa674c97, "sata_link_scr_lpm" },
	{ 0xf84c1867, "ata_msleep" },
	{ 0x5e41599d, "_dev_err" },
	{ 0x683b6feb, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "8DB59F85651914E62049B39");
MODULE_INFO(rhelversion, "9.6");
