#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xedb36ce0, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0xf12313fa, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xcdb06973, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x33a054ca, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0xff601156, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0xfaac5139, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x9d46f8cc, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x8e52f54a, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x06d446f3, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0xae51eaa6, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x3cb2ea19, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xa19b8a0d, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x0c7e4496, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x7284d084, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0xe37f4c5f, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x3e79f412, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xf0f5a2ae, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x5126f8a7, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x7d9ca8f1, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xfd3a0730, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x3722def7, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0xca244395, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0xccb14ec5, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xe7acea5f, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xd86a614e, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x144db2b3, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x5cca0993, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0xe17b1d2b, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x8160ab10, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xbfb21a9b, "regmap_read" },
	{ 0x2e499338, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xbefa83e6, "regmap_update_bits_base" },
	{ 0x1397200a, "regmap_write" },
	{ 0xb3f955b, "regmap_multi_reg_write" },
	{ 0xe6e199cd, "regmap_bulk_read" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xe56beac9, "devm_kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x79f7fa40, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x2eb84277, "regmap_async_complete" },
	{ 0xb1fef62f, "regmap_raw_write_async" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8b7c7576, "devm_kmalloc" },
	{ 0xceb3abfe, "devm_kfree" },
	{ 0x6ceedbdc, "seq_lseek" },
	{ 0x3e39e74, "seq_read" },
	{ 0x8e9e7332, "single_release" },
	{ 0x852d3eda, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe9dc60a9, "debugfs_create_dir" },
	{ 0xfb1652e, "debugfs_create_bool" },
	{ 0x87b23dc0, "debugfs_create_x32" },
	{ 0xbd35938e, "debugfs_create_file" },
	{ 0xa6602c49, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e41599d, "_dev_err" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd75d09b9, "__dynamic_dev_dbg" },
	{ 0x700b83e9, "regmap_raw_write" },
	{ 0x856362d4, "regmap_raw_read" },
	{ 0x8c4f8d9b, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A2E7D8747F0E8DA49739460");
MODULE_INFO(rhelversion, "9.6");
