#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x99bc607, "mmc_run_bkops" },
	{ 0x332fbe99, "set_disk_ro" },
	{ 0x5625ee6c, "mmc_unregister_driver" },
	{ 0xba71775d, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdcd7b215, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x47d08581, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x99c75a24, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7edf3088, "mmc_cqe_post_req" },
	{ 0xa5b9382e, "cdev_device_del" },
	{ 0x9303b221, "mmc_calc_max_discard" },
	{ 0x986e0b71, "pm_runtime_set_autosuspend_delay" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x9d2ae2a6, "finish_wait" },
	{ 0x9b4d5a61, "mmc_get_card" },
	{ 0x1cb52a35, "mmc_can_erase" },
	{ 0x9c750a18, "mmc_card_alternative_gpt_sector" },
	{ 0x27e541fe, "device_initialize" },
	{ 0x8131119, "blk_mq_unquiesce_queue" },
	{ 0x44d10e94, "mmc_sanitize" },
	{ 0xea7d9476, "blk_mq_quiesce_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x70ff2ae2, "mmc_erase_group_aligned" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x756a4baa, "prepare_to_wait_event" },
	{ 0xd4783088, "__wake_up" },
	{ 0xb1ec87fb, "get_device" },
	{ 0x8dec04f8, "blk_mq_end_request" },
	{ 0x89e6ba10, "__blk_mq_alloc_disk" },
	{ 0xd75d09b9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x74c19e1e, "blk_mq_alloc_tag_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad13314b, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x5a34e951, "put_disk" },
	{ 0xda63b0be, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x20198d78, "__mmc_claim_host" },
	{ 0x9f220b52, "mmc_start_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd0c7fc52, "blk_execute_rq" },
	{ 0xfdf5a67d, "put_device" },
	{ 0x5c9e06f5, "pm_runtime_enable" },
	{ 0xd8ccf8f7, "blk_mq_free_request" },
	{ 0xc6cbbc89, "capable" },
	{ 0x22fd117e, "mmc_cmdq_enable" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x712c684f, "debugfs_attr_read" },
	{ 0x725b8d2f, "mmc_prepare_busy_cmd" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3143902d, "bus_unregister" },
	{ 0x5e41599d, "_dev_err" },
	{ 0x83f17fde, "blk_update_request" },
	{ 0x3b216696, "debugfs_create_file_unsafe" },
	{ 0x48a91171, "string_get_size" },
	{ 0xf858b6ab, "simple_attr_release" },
	{ 0x91e8341, "set_capacity" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x79f7fa40, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x660e2a3f, "mmc_set_data_timeout" },
	{ 0x5cdef0c9, "__blk_rq_map_sg" },
	{ 0x70c26a03, "blk_mq_alloc_request" },
	{ 0xde56b1a, "ida_free" },
	{ 0xb5feb5ce, "mmc_retune_pause" },
	{ 0xe3590c6e, "blk_mq_free_tag_set" },
	{ 0xe759cada, "del_gendisk" },
	{ 0xa6e0cded, "mmc_cqe_recovery" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8a366bba, "mmc_can_secure_erase_trim" },
	{ 0x56bd363a, "mmc_poll_for_busy" },
	{ 0xc01f8411, "mmc_detect_card_removed" },
	{ 0x3ea8a2eb, "default_llseek" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa5cc127, "mmc_wait_for_req" },
	{ 0xcf05e4ed, "mmc_release_host" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x57da2658, "__init_waitqueue_head" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x4970e0ef, "mmc_switch" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xd3b0db82, "nonseekable_open" },
	{ 0x930db918, "mmc_get_ext_csd" },
	{ 0xd9106e68, "mmc_register_driver" },
	{ 0xec1b22dc, "mmc_cqe_start_req" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1fbd2894, "blk_mq_complete_request" },
	{ 0xbd35938e, "debugfs_create_file" },
	{ 0xebb59667, "dma_get_merge_boundary" },
	{ 0x15c1ca93, "mmc_can_trim" },
	{ 0xf9858693, "__mmc_poll_for_busy" },
	{ 0x52f124c4, "mmc_app_cmd" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9d02033e, "__pm_runtime_resume" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8b3bd3aa, "mmc_put_card" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xdfa8d03f, "mmc_retune_release" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x78ee6685, "mmc_cmdq_disable" },
	{ 0x5e803d2, "mmc_erase" },
	{ 0x95901d9b, "mmc_wait_for_cmd" },
	{ 0x8ed01764, "mmc_hw_reset" },
	{ 0xb0773088, "blk_mq_start_request" },
	{ 0xc5bcd23, "__mmc_send_status" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x58d66ee0, "mmc_send_status" },
	{ 0x56684cd9, "__pm_runtime_use_autosuspend" },
	{ 0xd6d41fbf, "param_ops_int" },
	{ 0x9c78e06f, "blk_mq_run_hw_queues" },
	{ 0xbc638a05, "__pm_runtime_disable" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x217bbe11, "blk_mq_requeue_request" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x399a38cf, "cdev_init" },
	{ 0x48582040, "blk_queue_rq_timeout" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0xc45e28ef, "mmc_retune_unpause" },
	{ 0x637e5a0e, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1a322d8c, "__blk_mq_end_request" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "6F27EBBDDB2F7C44FA193A4");
MODULE_INFO(rhelversion, "9.6");
