#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xc6aa8a51, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x85892755, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x3e88ddad, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x628c3593, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x4dbc89da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfef838b, "__do_once_done" },
	{ 0x23a35d93, "ip6_route_input_lookup" },
	{ 0xba71775d, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x881246b, "dev_pre_changeaddr_notify" },
	{ 0xded46db2, "dev_mc_sync" },
	{ 0x2490f90e, "ida_destroy" },
	{ 0xd78ca3c3, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xefe09a95, "netdev_update_features" },
	{ 0xfc0d9541, "consume_skb" },
	{ 0x33b4e73f, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0xc504752c, "dev_uc_sync" },
	{ 0x3d9a413a, "rtnl_link_register" },
	{ 0x128041bd, "netif_inherit_tso_max" },
	{ 0x11b77bf9, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9e4042bf, "ip_route_output_flow" },
	{ 0x7238976, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4390cd87, "dev_uc_unsync" },
	{ 0xfefed1c4, "ether_setup" },
	{ 0x2f957b25, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1875f7ec, "netdev_upper_dev_link" },
	{ 0x36477a09, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd0f6eb38, "netdev_rx_handler_unregister" },
	{ 0xec0fc913, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa1a32a4, "eth_header_cache_update" },
	{ 0x16300ae, "nf_register_net_hooks" },
	{ 0x8ae3030b, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x638ee3f3, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5bd0c69, "__dev_get_by_index" },
	{ 0xbb6e35b0, "rtnl_link_unregister" },
	{ 0x2382148f, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7d8a7136, "sk_skb_reason_drop" },
	{ 0x50496a5a, "netif_stacked_transfer_operstate" },
	{ 0x767937da, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xde56b1a, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfc935af8, "ns_capable" },
	{ 0xe03e8094, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3b9b76e3, "ethtool_op_get_link" },
	{ 0x25169335, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xae6adbbf, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbf25462e, "__pskb_pull_tail" },
	{ 0xe28707f3, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x6c1626a1, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x58a3fc7, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x83dd061e, "vlan_vid_add" },
	{ 0xd8d91ab, "call_netdevice_notifiers" },
	{ 0x728bf685, "vlan_vid_del" },
	{ 0xb361cc8e, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x742d01fc, "skb_clone" },
	{ 0x8723692b, "dst_release" },
	{ 0xe41cffb3, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa4e98a00, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xbf3ee995, "dev_mc_unsync" },
	{ 0xae634db2, "dev_change_flags" },
	{ 0x91ed8f46, "netdev_core_stats_inc" },
	{ 0xf13f8634, "dev_forward_skb" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe59c1660, "register_netdevice" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "DE37DC5C8DABDDDB3FEB4A1");
MODULE_INFO(rhelversion, "9.6");
