#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xc6bfaca4, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x61f8d218, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x0eb0ff97, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x99eed5e7, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x1dfd5881, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x113bde09, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x258790aa, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xa429e4a4, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x5330bf25, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xb01a913c, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x8663fde2, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x0812f806, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x0593d901, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x36091576, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xeb9ffbad, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x26fabf33, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0xbf2cf0ca, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0xe87b0b7d, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xb57e4236, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x9b0e36b3, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x3142424f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd627e4d, "mdiobus_write" },
	{ 0x595ebffa, "mdiobus_read" },
	{ 0x5fc0de60, "phy_write_mmd" },
	{ 0x712dbae3, "phy_modify" },
	{ 0xc2342f2d, "phy_trigger_machine" },
	{ 0xc2c155d1, "phy_error" },
	{ 0xde19d586, "phy_modify_changed" },
	{ 0x596b9e59, "genphy_update_link" },
	{ 0x4f277eac, "genphy_read_lpa" },
	{ 0xcb706382, "phy_resolve_aneg_pause" },
	{ 0x5bc39397, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5e41599d, "_dev_err" },
	{ 0xfd6ccf8a, "phy_read_mmd" },
	{ 0xc883c657, "ethnl_cable_test_result_with_src" },
	{ 0xeda79cf3, "ethnl_cable_test_fault_length_with_src" },
	{ 0x2ee31e17, "phy_modify_mmd" },
	{ 0xcc5f4c8e, "genphy_soft_reset" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
