#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x320b243c, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x42e05eb8, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x280568cf, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xd6e12251, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xb7dc5493, "__skb_checksum_complete" },
	{ 0xd07a5c1b, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x62c68a63, "skb_copy_bits" },
	{ 0x1ee196e9, "__nlmsg_put" },
	{ 0x92f5525d, "netdev_adjacent_change_commit" },
	{ 0x2b8b6287, "eth_mac_addr" },
	{ 0xfe7dcfd0, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2875c528, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc8f65d51, "ip6_dst_hoplimit" },
	{ 0x23be8da9, "param_ops_ushort" },
	{ 0xfc0d9541, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x504ce88a, "udp_sock_create4" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x510653e3, "udp_tunnel6_xmit_skb" },
	{ 0x3d9a413a, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xbb446ad7, "__unregister_nexthop_notifier" },
	{ 0x128041bd, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xb921028, "pcpu_hot" },
	{ 0x9338642f, "eth_validate_addr" },
	{ 0xa68fb16f, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c656d2e, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5704cea4, "rtnl_create_link" },
	{ 0x7238976, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x931e7a65, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xfefed1c4, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x89ce0aa7, "udp_tunnel_drop_rx_port" },
	{ 0xb128efa1, "pskb_expand_head" },
	{ 0x1875f7ec, "netdev_upper_dev_link" },
	{ 0x36477a09, "register_pernet_subsys" },
	{ 0xb034669b, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x7ffb66de, "__alloc_skb" },
	{ 0x3e09d262, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x693028c8, "eth_gro_complete" },
	{ 0x2adc0ad6, "rtnl_set_sk_err" },
	{ 0xf5e46ba8, "eth_gro_receive" },
	{ 0x9596364f, "rtnl_configure_link" },
	{ 0x55829f5e, "skb_tunnel_check_pmtu" },
	{ 0xcfd28a92, "udp_tunnel_dst_lookup" },
	{ 0x6331f595, "rtnl_unicast" },
	{ 0x3c892427, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x3f0be480, "__skb_get_hash_net" },
	{ 0xd3fb160e, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5bd0c69, "__dev_get_by_index" },
	{ 0xbb6e35b0, "rtnl_link_unregister" },
	{ 0x8a30ca60, "ipv6_stub" },
	{ 0x2382148f, "skb_pull" },
	{ 0xb450571a, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7d8a7136, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xbb7d5fd2, "dev_get_by_index_rcu" },
	{ 0x2d0e1c35, "gro_cells_receive" },
	{ 0xdcd6cbfc, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x767937da, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x86096e2f, "free_netdev" },
	{ 0x3a46de53, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x443c1b83, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6ae2fa26, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3b9b76e3, "ethtool_op_get_link" },
	{ 0xb7b2025b, "nexthop_find_by_id" },
	{ 0x6a28ae7e, "arp_create" },
	{ 0x25169335, "__ethtool_get_link_ksettings" },
	{ 0xaf3d2449, "netdev_adjacent_change_prepare" },
	{ 0xb4b84a00, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xae6adbbf, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x70df102f, "rhashtable_free_and_destroy" },
	{ 0xa74c4a00, "rht_bucket_nested_insert" },
	{ 0x5521f32a, "netdev_adjacent_change_abort" },
	{ 0x25e81cca, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5087923, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc043670a, "__iptunnel_pull_header" },
	{ 0xbf25462e, "__pskb_pull_tail" },
	{ 0x1bc4a290, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xe28707f3, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x5ed0a88a, "rhashtable_destroy" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x2fb43b5c, "setup_udp_tunnel_sock" },
	{ 0xa4e849ed, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe8cdc1e1, "skb_trim" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbaa208db, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6c1626a1, "skb_scrub_packet" },
	{ 0x592442a5, "nexthop_select_path" },
	{ 0xc0f789c9, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4f053e9a, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1e646b59, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x31b7afab, "param_ops_bool" },
	{ 0x44222313, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3a1c38a5, "rtnl_notify" },
	{ 0xefd53ecd, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x58b673c5, "__netif_rx" },
	{ 0x742d01fc, "skb_clone" },
	{ 0x6b55e629, "metadata_dst_alloc" },
	{ 0x8723692b, "dst_release" },
	{ 0x5a26a990, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xa95cbd06, "udp_tunnel_notify_del_rx_port" },
	{ 0x77d396e1, "register_nexthop_notifier" },
	{ 0xd4e7b3e9, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72253d4f, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x91ed8f46, "netdev_core_stats_inc" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0x93c07e19, "netdev_info" },
	{ 0x66e9903d, "neigh_lookup" },
	{ 0x1fdd7016, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe59c1660, "register_netdevice" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.6");
