#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x3bd7fe5a, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xe48ec136, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x9f338567, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x187297fc, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x132720d3, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xcb1fd0de, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xb400bbf6, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xc48691f5, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x2e06fca2, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x2fc0f7bd, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x8ef1d4e4, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xab083820, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x1c4d89aa, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x4ea8d606, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xa4dfe11e, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xa08b31cd, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x2064da99, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xab33b901, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x1288d105, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x64002301, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xb404ef40, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x8f206fbd, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xe289a7e3, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x31e84404, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xe0073b5a, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x22de8e3d, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x5f37efb6, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x28b0579f, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xb6435633, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x10b2c5a7, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x6bef298a, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xa0c5c73b, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xcb0dc5c5, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x9f87724a, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x6585606e, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xb8aaa566, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x5ebf22ac, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xd2e7290f, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x15702ca8, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xc7a96881, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xd1d5ef42, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x85a09c48, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xe2afa587, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x1b59ae3d, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x54012699, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xb5c4862a, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x705017ed, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xbe6d4d2f, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x5e7a5f5c, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x6edc4de5, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x9977f68f, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x8ed1bde3, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x49ab50ee, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xdc91fe52, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x80449d36, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x289ec7aa, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x50867f26, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x29e2cf67, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x59627afc, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x925ce58d, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x83e0aa88, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x11777329, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x789e940e, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x6c1475ca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76bb9058, "set_capacity_and_notify" },
	{ 0xeebeffdd, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x332fbe99, "set_disk_ro" },
	{ 0x1ffc3591, "__blk_alloc_disk" },
	{ 0xba71775d, "ida_alloc_range" },
	{ 0x2f8ed706, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xcc2f8a97, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2490f90e, "ida_destroy" },
	{ 0xc74ba6d4, "device_remove_file_self" },
	{ 0x45c5498b, "param_ops_uint" },
	{ 0x4d9647d5, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc7fa3777, "dev_set_name" },
	{ 0x7eacb6d1, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x7992de8d, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x99c75a24, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x382305b5, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa157685e, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa5b9382e, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x9d2ae2a6, "finish_wait" },
	{ 0x18500beb, "queue_limits_stack_bdev" },
	{ 0x6d92f4ea, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x27e541fe, "device_initialize" },
	{ 0x8131119, "blk_mq_unquiesce_queue" },
	{ 0xea7d9476, "blk_mq_quiesce_queue" },
	{ 0x71c03c53, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd1626e90, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xb921028, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x50673ed4, "bpf_trace_run2" },
	{ 0x756a4baa, "prepare_to_wait_event" },
	{ 0x2ff1222b, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xb7e2d23f, "event_triggers_call" },
	{ 0xd4783088, "__wake_up" },
	{ 0x9b8a488d, "synchronize_srcu" },
	{ 0x85745030, "param_ops_byte" },
	{ 0x30a7fa17, "kmem_cache_create" },
	{ 0xb1ec87fb, "get_device" },
	{ 0x8dec04f8, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x89e6ba10, "__blk_mq_alloc_disk" },
	{ 0xd75d09b9, "__dynamic_dev_dbg" },
	{ 0x91031be3, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xed274f28, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x74c19e1e, "blk_mq_alloc_tag_set" },
	{ 0x70765a99, "blk_rq_is_poll" },
	{ 0xac6601fb, "trace_event_buffer_commit" },
	{ 0x64520669, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x455e5fb0, "mempool_create" },
	{ 0x5a34e951, "put_disk" },
	{ 0xca659e58, "crypto_alloc_kpp" },
	{ 0xda63b0be, "cdev_device_add" },
	{ 0x7c81b4bd, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd0c7fc52, "blk_execute_rq" },
	{ 0xfdf5a67d, "put_device" },
	{ 0x93a641ae, "trace_event_ignore_this_pid" },
	{ 0x767cd765, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xec007642, "kmalloc_node_trace" },
	{ 0x75dfecdd, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd8ccf8f7, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xf7efca8c, "__free_pages" },
	{ 0x2e499338, "_dev_info" },
	{ 0xcc83a0f5, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x26d8cba4, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xefc6d7b2, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x28cbc347, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe0fc4cb4, "compat_ptr_ioctl" },
	{ 0x35fb2a8b, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x9cb35cc, "blk_mq_quiesce_tagset" },
	{ 0xe3ce67cb, "kobject_uevent_env" },
	{ 0x805a1deb, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd0f5e316, "init_srcu_struct" },
	{ 0x54dac7bd, "perf_trace_run_bpf_submit" },
	{ 0x7a06c9f8, "__SCK__tp_func_block_bio_remap" },
	{ 0x5e41599d, "_dev_err" },
	{ 0x93e1b168, "blk_revalidate_disk_zones" },
	{ 0xd2f5b3df, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe8056e85, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xff559a36, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2aafd243, "sysfs_remove_link" },
	{ 0x8db951d2, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xbfbac4d3, "__srcu_read_lock" },
	{ 0x91e8341, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xf936a4c1, "submit_bio_noacct" },
	{ 0xc6faee7, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xaea0a0df, "blk_sync_queue" },
	{ 0xf67d3d7a, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x2cfa04dc, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x99b546dc, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x34ab8ed0, "blk_mq_alloc_request_hctx" },
	{ 0x70c26a03, "blk_mq_alloc_request" },
	{ 0xde56b1a, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb55379d5, "crypto_shash_update" },
	{ 0xda4321c9, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe3590c6e, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe759cada, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa87f209, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0xa0f13462, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x6e5044a2, "blk_put_queue" },
	{ 0x2f10f2e6, "bpf_trace_run1" },
	{ 0xd9d304f5, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x8c4f8d9b, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xb6824409, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x57da2658, "__init_waitqueue_head" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xbd8604d6, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x360e1982, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0xdb185435, "xa_erase" },
	{ 0x8e27dfdd, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1fbd2894, "blk_mq_complete_request" },
	{ 0x9754c116, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc881df0, "trace_event_buffer_reserve" },
	{ 0x7937f08, "crypto_shash_final" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x31b7afab, "param_ops_bool" },
	{ 0x8ee12dd, "blk_mq_destroy_queue" },
	{ 0x39d33384, "xa_destroy" },
	{ 0xf22670f, "blk_freeze_queue_start" },
	{ 0xf70dafd4, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x30482675, "xa_find" },
	{ 0x2385cbf8, "alloc_pages" },
	{ 0xeade9836, "mempool_destroy" },
	{ 0x794f33fa, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x26903b26, "__tracepoint_block_bio_complete" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x353e0a31, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x18d77897, "__srcu_read_unlock" },
	{ 0x338e6dcc, "__tracepoint_block_bio_remap" },
	{ 0x41abbadf, "blk_mq_unfreeze_queue" },
	{ 0xca5b4c93, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x26716f78, "queue_limits_commit_update" },
	{ 0x30afc03f, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5595bf60, "xa_find_after" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x181e661a, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaed43624, "crypto_alloc_shash" },
	{ 0xf85808de, "blk_mq_freeze_queue_wait" },
	{ 0x9de68ce2, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x217bbe11, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xdcd95fe7, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x399a38cf, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9698ccaa, "bdev_end_io_acct" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x4b9b73d2, "blk_steal_bios" },
	{ 0x5f03c692, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "F02EA9D30425E87D0B882CD");
MODULE_INFO(rhelversion, "9.6");
