#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(usbip_debug_flag, "_gpl", "");
KSYMTAB_DATA(dev_attr_usbip_debug, "_gpl", "");
KSYMTAB_FUNC(usbip_dump_urb, "_gpl", "");
KSYMTAB_FUNC(usbip_dump_header, "_gpl", "");
KSYMTAB_FUNC(usbip_recv, "_gpl", "");
KSYMTAB_FUNC(usbip_pack_pdu, "_gpl", "");
KSYMTAB_FUNC(usbip_header_correct_endian, "_gpl", "");
KSYMTAB_FUNC(usbip_alloc_iso_desc_pdu, "_gpl", "");
KSYMTAB_FUNC(usbip_recv_iso, "_gpl", "");
KSYMTAB_FUNC(usbip_pad_iso, "_gpl", "");
KSYMTAB_FUNC(usbip_recv_xbuff, "_gpl", "");
KSYMTAB_FUNC(usbip_start_eh, "_gpl", "");
KSYMTAB_FUNC(usbip_stop_eh, "_gpl", "");
KSYMTAB_FUNC(usbip_event_add, "_gpl", "");
KSYMTAB_FUNC(usbip_event_happened, "_gpl", "");
KSYMTAB_FUNC(usbip_in_eh, "_gpl", "");

SYMBOL_CRC(usbip_debug_flag, 0x78b72f44, "_gpl");
SYMBOL_CRC(dev_attr_usbip_debug, 0x98c2fabe, "_gpl");
SYMBOL_CRC(usbip_dump_urb, 0xe7ab1862, "_gpl");
SYMBOL_CRC(usbip_dump_header, 0xe1ea0586, "_gpl");
SYMBOL_CRC(usbip_recv, 0x12776ba4, "_gpl");
SYMBOL_CRC(usbip_pack_pdu, 0x4e502dd4, "_gpl");
SYMBOL_CRC(usbip_header_correct_endian, 0xd02753dc, "_gpl");
SYMBOL_CRC(usbip_alloc_iso_desc_pdu, 0xb0c4d7f9, "_gpl");
SYMBOL_CRC(usbip_recv_iso, 0x68c768f6, "_gpl");
SYMBOL_CRC(usbip_pad_iso, 0x9ef2b229, "_gpl");
SYMBOL_CRC(usbip_recv_xbuff, 0x3be7573c, "_gpl");
SYMBOL_CRC(usbip_start_eh, 0xed4901f7, "_gpl");
SYMBOL_CRC(usbip_stop_eh, 0xbe69289f, "_gpl");
SYMBOL_CRC(usbip_event_add, 0x0fc68392, "_gpl");
SYMBOL_CRC(usbip_event_happened, 0x61856bc1, "_gpl");
SYMBOL_CRC(usbip_in_eh, 0xc67df1db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4d9647d5, "param_ops_ulong" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ae2a6, "finish_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xb921028, "pcpu_hot" },
	{ 0x756a4baa, "prepare_to_wait_event" },
	{ 0xd4783088, "__wake_up" },
	{ 0xd75d09b9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5e41599d, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x98d7fb29, "iov_iter_kvec" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x57da2658, "__init_waitqueue_head" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd5940b72, "sock_recvmsg" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9562948F88611CCEE55D00C");
MODULE_INFO(rhelversion, "9.6");
