#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xb116327b, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x71089442, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x3d4b067e, "_gpl");
SYMBOL_CRC(fat_scan, 0x0a9be7e5, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x15cd1443, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x01717b2b, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x67991ebe, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x3f941f33, "_gpl");
SYMBOL_CRC(fat_getattr, 0x5d6ad09b, "_gpl");
SYMBOL_CRC(fat_setattr, 0x4887657b, "_gpl");
SYMBOL_CRC(fat_attach, 0x03f260bc, "_gpl");
SYMBOL_CRC(fat_detach, 0x174cfc49, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x6aecac48, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xca4dcfe0, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x828b65c7, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x31247477, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x3b362c13, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xed2b44db, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xdb1b4995, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x2f608a38, "_gpl");
SYMBOL_CRC(fat_update_time, 0x384984b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d902fe0, "filemap_fdatawrite" },
	{ 0x94f254fc, "generic_fillattr" },
	{ 0xab3ae2d8, "setattr_prepare" },
	{ 0xe875066e, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfd427458, "__init_rwsem" },
	{ 0xaa1d9067, "sync_blockdev_nowait" },
	{ 0x9c4e17f, "make_vfsgid" },
	{ 0xa0c73e64, "blk_start_plug" },
	{ 0xef5eb421, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd3060348, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x89ec8556, "generic_file_splice_read" },
	{ 0x4f9cb5f8, "new_inode" },
	{ 0xbe50f384, "mark_buffer_dirty" },
	{ 0xb82d1d14, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x61454abe, "__find_get_block" },
	{ 0xda2d0795, "filemap_fdatawrite_range" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x2d45a2e, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xb639a3e4, "__blockdev_direct_IO" },
	{ 0x289d5170, "d_make_root" },
	{ 0x280aceb7, "__bforget" },
	{ 0xac33fa2b, "sb_set_blocksize" },
	{ 0x32e559b2, "block_truncate_page" },
	{ 0xc57e6d74, "write_dirty_buffer" },
	{ 0x2ab067de, "sync_filesystem" },
	{ 0x8cf50ec, "fsnotify" },
	{ 0x14e55605, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x42aa5848, "from_vfsuid" },
	{ 0xfecd808c, "inode_dio_wait" },
	{ 0x4edc6a20, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xbee2a2e9, "cont_write_begin" },
	{ 0x5a725884, "iput" },
	{ 0xb921028, "pcpu_hot" },
	{ 0x98913494, "iter_file_splice_write" },
	{ 0x888978fa, "generic_file_write_iter" },
	{ 0x30a7fa17, "kmem_cache_create" },
	{ 0x74a0845d, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfd87bdf8, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb9c3587b, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x72b94dc1, "block_invalidate_folio" },
	{ 0x84948a07, "__breadahead" },
	{ 0xd9c96abf, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e038d1d, "load_nls" },
	{ 0x792f4a1c, "generic_cont_expand_simple" },
	{ 0xf2cb7a63, "make_kuid" },
	{ 0xca09f715, "truncate_inode_pages_final" },
	{ 0xefbc6e57, "block_write_full_page" },
	{ 0x9ad209a5, "generic_file_mmap" },
	{ 0xe8fbe441, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x237ec54d, "ilookup" },
	{ 0xa215a0ae, "kmem_cache_alloc" },
	{ 0x617cfc70, "invalidate_inode_buffers" },
	{ 0xee1b5452, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x73237c7b, "mnt_drop_write_file" },
	{ 0xe0dce90b, "inode_init_once" },
	{ 0xe0fc4cb4, "compat_ptr_ioctl" },
	{ 0xf5ed9217, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xaad6c07e, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe906823c, "down_write" },
	{ 0x61520178, "up_write" },
	{ 0x6964cb0f, "generic_file_read_iter" },
	{ 0x60e85220, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x525fdfb4, "truncate_pagecache" },
	{ 0x970752ef, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1bdc8f77, "setattr_copy" },
	{ 0x228d808e, "__wait_on_buffer" },
	{ 0xe33cec39, "set_nlink" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x4d363bf5, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x2e12ae61, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x82a2c586, "from_vfsgid" },
	{ 0x6b1ea2c2, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3b98bdfb, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x81846df7, "__bread_gfp" },
	{ 0x73aea237, "block_dirty_folio" },
	{ 0xb54889f5, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x55955d3d, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xad1d4328, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x1181b0f8, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd9b689a9, "down_read" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xdeab4972, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbec9c5e5, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc3a2b918, "igrab" },
	{ 0x3ca24f57, "__getblk_gfp" },
	{ 0x39f5834b, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xa93fe493, "mpage_readahead" },
	{ 0xd66e3fb, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x29db796d, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x8238b82a, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x38f29ba0, "blkdev_issue_flush" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0x73607b71, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xff938adf, "from_kuid_munged" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0xf2a0d567, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc2e47ad4, "kmem_cache_alloc_lru" },
	{ 0x61345cc8, "__mark_inode_dirty" },
	{ 0xda98a7b8, "generic_file_llseek" },
	{ 0xff67c3fe, "unload_nls" },
	{ 0x856f2b71, "up_read" },
	{ 0xec6dc1c2, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x8626c762, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0x5f03c692, "kmem_cache_destroy" },
	{ 0xbc47f7d1, "blkdev_issue_discard" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.6");
