#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x1458bb28, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x55819aa6, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x1fb556f4, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xfa1ca0df, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x92d3e2ce, "");
SYMBOL_CRC(fuse_abort_conn, 0xfc332b77, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x7f0d945d, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x081debbe, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x844ea629, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x067018bb, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x16ff821e, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x3e2fd5b9, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xadab20fc, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xfaa3a2b9, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x58ec7400, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x91762ce1, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x4dd8bc49, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x7d8afb67, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x46bb2d80, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x6cc2cc03, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x62cf71ec, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x9c487c76, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xba6b4536, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x22df74fb, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x2c8494dd, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x9466d162, "");
SYMBOL_CRC(fuse_do_ioctl, 0x36597fbc, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0xcab8d388, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51e8972a, "super_setup_bdi_name" },
	{ 0x5a2df267, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xef22a58, "truncate_inode_pages" },
	{ 0xe499ee52, "generic_copy_file_range" },
	{ 0xa7d01e26, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x83ad232c, "pipe_lock" },
	{ 0x94f254fc, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x36398aa6, "vfs_fsync_range" },
	{ 0xab3ae2d8, "setattr_prepare" },
	{ 0x8f7f97fe, "clear_nlink" },
	{ 0x7fff4fce, "file_check_and_advance_wb_err" },
	{ 0xc6b7ec97, "d_alloc_parallel" },
	{ 0xfd427458, "__init_rwsem" },
	{ 0x3be02b52, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xe968aeed, "misc_deregister" },
	{ 0x9c4e17f, "make_vfsgid" },
	{ 0xef5eb421, "clear_inode" },
	{ 0x20bac650, "inode_to_bdi" },
	{ 0x7adc79df, "find_pid_ns" },
	{ 0x5f30487c, "grab_cache_page_write_begin" },
	{ 0x8898162e, "simple_dir_inode_operations" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdbd285f2, "pipe_unlock" },
	{ 0xca92c5c4, "fs_param_is_string" },
	{ 0xf8387d9a, "folio_unlock" },
	{ 0x89ec8556, "generic_file_splice_read" },
	{ 0x4f9cb5f8, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0xe0495074, "filemap_map_pages" },
	{ 0x9e0c3bce, "dump_page" },
	{ 0x99aa9900, "forget_all_cached_acls" },
	{ 0x6f1687ca, "init_special_inode" },
	{ 0xadb620b1, "unregister_filesystem" },
	{ 0xddc35b12, "task_active_pid_ns" },
	{ 0x7a3db4a4, "iov_iter_single_seg_count" },
	{ 0xc584b3ed, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xda2d0795, "filemap_fdatawrite_range" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x9d2ae2a6, "finish_wait" },
	{ 0x43ce56bc, "d_alloc_name" },
	{ 0xf03d1b6e, "replace_page_cache_folio" },
	{ 0xdfc80196, "inode_query_iversion" },
	{ 0x7d437ccc, "iov_iter_advance" },
	{ 0xbbd9d07a, "kill_fasync" },
	{ 0x289d5170, "d_make_root" },
	{ 0xac33fa2b, "sb_set_blocksize" },
	{ 0x4e127872, "fget" },
	{ 0x7db3d9f3, "simple_fill_super" },
	{ 0x383ebd47, "xas_find" },
	{ 0x60f6c5dd, "invalidate_mapping_pages" },
	{ 0x2ab067de, "sync_filesystem" },
	{ 0x76f5fa6f, "noop_dirty_folio" },
	{ 0x9ddad7e9, "sget_fc" },
	{ 0xdd3031bb, "param_set_uint" },
	{ 0xe48af71c, "d_splice_alias" },
	{ 0xad98a9c1, "iov_iter_get_pages2" },
	{ 0x14e55605, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7a81f6c2, "page_get_link" },
	{ 0x75fd9e06, "generic_permission" },
	{ 0x9cbd155f, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x232b6db3, "invalidate_inode_pages2_range" },
	{ 0x96fc7d7a, "posix_lock_file" },
	{ 0x76710169, "finish_open" },
	{ 0x68dce276, "dax_iomap_rw" },
	{ 0x5a725884, "iput" },
	{ 0xb921028, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xd4b0ebd, "logfc" },
	{ 0x19b62c25, "__put_devmap_managed_page_refs" },
	{ 0x98913494, "iter_file_splice_write" },
	{ 0x756a4baa, "prepare_to_wait_event" },
	{ 0xec07adc1, "init_pid_ns" },
	{ 0x15a7a5a4, "dax_iomap_fault" },
	{ 0x58827e03, "iov_iter_init" },
	{ 0x4e1263f, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xbf90d9b3, "sysfs_create_mount_point" },
	{ 0x888978fa, "generic_file_write_iter" },
	{ 0xd4783088, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4a04da25, "register_filesystem" },
	{ 0x30a7fa17, "kmem_cache_create" },
	{ 0xa8ffa367, "folio_add_lru" },
	{ 0xe5539e20, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x74a0845d, "sync_inode_metadata" },
	{ 0xb2f1d922, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xa8c00841, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xeedcfb39, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x59b8c7ae, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x292dd40f, "get_tree_nodev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x45819030, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x50ee77f, "fs_param_is_u32" },
	{ 0xc91aecc5, "inode_newsize_ok" },
	{ 0xf0ba211d, "d_drop" },
	{ 0x91dbe0e, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x99116f80, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xc6cf02a8, "bdi_put" },
	{ 0xeaf2b77c, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x3d0e6394, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf2cb7a63, "make_kuid" },
	{ 0xca09f715, "truncate_inode_pages_final" },
	{ 0x7f8dafd7, "fs_kobj" },
	{ 0xee9fc9d7, "__filemap_set_wb_err" },
	{ 0x294218d0, "simple_dir_operations" },
	{ 0x9ad209a5, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0xf7efca8c, "__free_pages" },
	{ 0xa215a0ae, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xc14b3194, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x6d5efdc8, "setattr_should_drop_suidgid" },
	{ 0x9f6cf5dc, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe26006f8, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x504fde7, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x41dc0701, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe0dce90b, "inode_init_once" },
	{ 0x913c5ba, "file_write_and_wait_range" },
	{ 0xe0fc4cb4, "compat_ptr_ioctl" },
	{ 0xe28aba21, "nosteal_pipe_buf_ops" },
	{ 0x5e549338, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2e3f7e1, "inode_nohighmem" },
	{ 0x34c618ad, "release_pages" },
	{ 0x64f14a92, "generic_file_direct_write" },
	{ 0x49608959, "migrate_disable" },
	{ 0x81745c46, "fput" },
	{ 0xe906823c, "down_write" },
	{ 0x61520178, "up_write" },
	{ 0x6964cb0f, "generic_file_read_iter" },
	{ 0x60e85220, "inode_maybe_inc_iversion" },
	{ 0x1bb1dca6, "unlock_page" },
	{ 0x343621d, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0x525fdfb4, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe77abc24, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xad520b94, "dec_node_page_state" },
	{ 0x879ba38d, "write_cache_pages" },
	{ 0xa0054154, "file_update_time" },
	{ 0xe33cec39, "set_nlink" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x4d363bf5, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xc56f2edb, "from_kgid" },
	{ 0x13a68c77, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xfd426ff7, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x6b1ea2c2, "write_inode_now" },
	{ 0x86b2daf3, "dax_writeback_mapping_range" },
	{ 0x3b98bdfb, "d_obtain_alias" },
	{ 0x2c784085, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb3c1961, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbd23d59, "finish_no_open" },
	{ 0x9a8d6c08, "__folio_start_writeback" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xe6cf7cbe, "kill_litter_super" },
	{ 0x4420811d, "folio_end_writeback" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x410399b9, "from_kuid" },
	{ 0x7fc2c3b8, "current_in_userns" },
	{ 0x7ee4185e, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xe2b8c61a, "sysfs_remove_mount_point" },
	{ 0xace428bb, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x57da2658, "__init_waitqueue_head" },
	{ 0xad1d4328, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x8e11bae6, "d_delete" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x1181b0f8, "from_kgid_munged" },
	{ 0xe9761c1e, "end_page_writeback" },
	{ 0xd66314dc, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x6187157b, "kobject_create_and_add" },
	{ 0xd9b689a9, "down_read" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x28ea3d54, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3b0db82, "nonseekable_open" },
	{ 0x10146014, "dax_finish_sync_fault" },
	{ 0x5e6afacb, "set_page_dirty" },
	{ 0xbf806732, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfc5bf4e6, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5f5bc2f6, "noop_direct_IO" },
	{ 0xc3a2b918, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x39f5834b, "generic_read_dir" },
	{ 0xd37aa1b5, "d_add" },
	{ 0x169246f5, "set_page_writeback" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x29db796d, "init_user_ns" },
	{ 0x9172af76, "d_find_alias" },
	{ 0xd8fe9957, "invalidate_inode_pages2" },
	{ 0x2385cbf8, "alloc_pages" },
	{ 0xa5b42916, "inc_nlink" },
	{ 0xb94ef2f7, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x729d3ae7, "get_tree_bdev" },
	{ 0xf9715ff5, "set_anon_super_fc" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xee8329dd, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x4f14c6bb, "generic_delete_inode" },
	{ 0xbe0bd3d4, "deactivate_locked_super" },
	{ 0xd964afb4, "touch_atime" },
	{ 0x37a7651a, "__percpu_down_read" },
	{ 0xd5da955, "__d_lookup_unhash_wake" },
	{ 0xfad27222, "set_page_dirty_lock" },
	{ 0x86e6d3be, "pid_nr_ns" },
	{ 0x588c38b5, "generic_file_open" },
	{ 0x1bc736a5, "truncate_inode_pages_range" },
	{ 0x3c6e2553, "__put_user_ns" },
	{ 0xc07407db, "__folio_lock" },
	{ 0x70d89f73, "filemap_dirty_folio" },
	{ 0x38c0958c, "pagecache_get_page" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0x584cc6af, "stream_open" },
	{ 0x68a870ae, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x25a5e10a, "__wake_up_sync" },
	{ 0x9047fcdb, "add_to_pipe" },
	{ 0x88825833, "__fs_parse" },
	{ 0xfffc0484, "dax_layout_busy_page_range" },
	{ 0x4d8d68a, "posix_acl_to_xattr" },
	{ 0x22b29030, "dget_parent" },
	{ 0xad685944, "kill_anon_super" },
	{ 0xff938adf, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x696ba45c, "iget5_locked" },
	{ 0x6174e5cd, "security_dentry_init_security" },
	{ 0xf02ff310, "filemap_write_and_wait_range" },
	{ 0xaddd03f1, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x1682ad3c, "generic_write_checks" },
	{ 0xd90cf0f5, "iov_iter_revert" },
	{ 0x653eab92, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc0625e2c, "mntget" },
	{ 0xc2e47ad4, "kmem_cache_alloc_lru" },
	{ 0x81fc15d0, "filemap_fault" },
	{ 0x198b85a3, "d_invalidate" },
	{ 0x61345cc8, "__mark_inode_dirty" },
	{ 0xda98a7b8, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x856f2b71, "up_read" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x265f4dc5, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xb65caccf, "drop_nlink" },
	{ 0xf5e1bc71, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xd991d5c1, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0xe181fa1c, "bdi_set_max_ratio" },
	{ 0x5f03c692, "kmem_cache_destroy" },
	{ 0x76b9907, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7D7FAEDDA764AC772D6F805");
MODULE_INFO(rhelversion, "9.6");
