#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x303421a5, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x12c169f7, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x4e9e0c12, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xfc352eb0, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xf2b9f497, "_gpl");
SYMBOL_CRC(br_forward, 0xc9a83cba, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xd3731fe7, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x4c186b4b, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x4deb7218, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x0f90c7f4, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x06838400, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x9007dc7b, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xce05643c, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xbb6f2c50, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x18f33967, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xb8cb7828, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xdd8af7d3, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x0fdeb83a, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x016c1d7d, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x85622534, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xc2ca6074, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x0e0201a8, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xafa2826f, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xd58f7387, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xf7b8aadb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38f6ee54, "netdev_lower_get_next" },
	{ 0xaf9ab03e, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x881246b, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x62c68a63, "skb_copy_bits" },
	{ 0x1ee196e9, "__nlmsg_put" },
	{ 0x58269563, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2fb35acf, "ipv6_mc_check_mld" },
	{ 0xfe7dcfd0, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2875c528, "call_switchdev_notifiers" },
	{ 0x8da0b95, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xefe09a95, "netdev_update_features" },
	{ 0xfc0d9541, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x69fc446b, "dev_uc_del" },
	{ 0x3d9a413a, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x95689237, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaf137e36, "switchdev_port_obj_act_is_deferred" },
	{ 0xbe2f9894, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xa02ad158, "dev_set_promiscuity" },
	{ 0xb921028, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa68fb16f, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7238976, "unregister_netdevice_queue" },
	{ 0x30a7fa17, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x54f2e476, "netdev_state_change" },
	{ 0x6be41965, "__pskb_copy_fclone" },
	{ 0xb23a1cd, "__dev_get_by_name" },
	{ 0xfefed1c4, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2f957b25, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb128efa1, "pskb_expand_head" },
	{ 0x36477a09, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x449741cd, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x6faa29a9, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd87a2857, "alloc_netdev_mqs" },
	{ 0x8c92d428, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd0f6eb38, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x90b9da34, "__SCK__tp_func_br_mdb_full" },
	{ 0x205472b6, "rtnl_af_register" },
	{ 0xbd72015f, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x7ffb66de, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa215a0ae, "kmem_cache_alloc" },
	{ 0x2adc0ad6, "rtnl_set_sk_err" },
	{ 0x77ff9a89, "skb_vlan_pop" },
	{ 0x6331f595, "rtnl_unicast" },
	{ 0xefc6d7b2, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xebc9468f, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0x36a20ea5, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5bd0c69, "__dev_get_by_index" },
	{ 0xbb6e35b0, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x7d65dde5, "dev_get_port_parent_id" },
	{ 0xc6fd4a68, "init_net" },
	{ 0x8a30ca60, "ipv6_stub" },
	{ 0xa8879f8c, "inet_confirm_addr" },
	{ 0x2382148f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2aafd243, "sysfs_remove_link" },
	{ 0x9e211598, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6347bf12, "__SCK__tp_func_br_fdb_add" },
	{ 0xdb0699d5, "rtnl_af_unregister" },
	{ 0x7d8a7136, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x92f9e384, "arp_send" },
	{ 0xbb7d5fd2, "dev_get_by_index_rcu" },
	{ 0xaa7359ed, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xdcd6cbfc, "skb_push" },
	{ 0x4d363bf5, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf6a0b2d7, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x767937da, "netdev_upper_dev_unlink" },
	{ 0xd583f82c, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf10900a4, "llc_mac_hdr_init" },
	{ 0x86096e2f, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xcd09a564, "__SCK__tp_func_fdb_delete" },
	{ 0x93403dd9, "kobject_init_and_add" },
	{ 0x7d9320dd, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfc935af8, "ns_capable" },
	{ 0xad7f89cc, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8c880bbc, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3b9b76e3, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x6a28ae7e, "arp_create" },
	{ 0x25169335, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe5b02e79, "stp_proto_register" },
	{ 0xb4b84a00, "rtnl_register_module" },
	{ 0xa46ce47e, "__tracepoint_br_fdb_update" },
	{ 0x97a15482, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xae6adbbf, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa74c4a00, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa087c9a2, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbf25462e, "__pskb_pull_tail" },
	{ 0x1bc4a290, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xe28707f3, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe1aa58ba, "ip_mc_check_igmp" },
	{ 0x24fe0f2f, "__netdev_alloc_skb" },
	{ 0x5ed0a88a, "rhashtable_destroy" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x1e6871a9, "switchdev_port_obj_del" },
	{ 0x6df9b922, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x6187157b, "kobject_create_and_add" },
	{ 0xe8cdc1e1, "skb_trim" },
	{ 0x79f6946b, "nf_hook_slow" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbaa208db, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1d5e755c, "__ip_mc_inc_group" },
	{ 0x78895da, "netdev_walk_all_upper_dev_rcu" },
	{ 0x735a4ae, "sysfs_remove_group" },
	{ 0xa140f258, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xc0f789c9, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x43d439b, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x58a3fc7, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x83dd061e, "vlan_vid_add" },
	{ 0x1e646b59, "neigh_destroy" },
	{ 0x9bfa96eb, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x1bc507e9, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x33647085, "__SCK__tp_func_br_fdb_update" },
	{ 0xd8d91ab, "call_netdevice_notifiers" },
	{ 0xd0291f5b, "is_skb_forwardable" },
	{ 0x728bf685, "vlan_vid_del" },
	{ 0xb361cc8e, "dev_set_allmulti" },
	{ 0xa22ce85a, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x31fb38f0, "netdev_master_upper_dev_get" },
	{ 0xfa1984a, "ipv6_dev_mc_inc" },
	{ 0x3a1c38a5, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf90edaa3, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe952cff5, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x742d01fc, "skb_clone" },
	{ 0x7a083124, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x6b55e629, "metadata_dst_alloc" },
	{ 0x8723692b, "dst_release" },
	{ 0xc5356811, "netif_carrier_on" },
	{ 0x60a12fb9, "kobject_uevent" },
	{ 0x5a26a990, "arp_tbl" },
	{ 0x90f9b15e, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe41cffb3, "netdev_rx_handler_register" },
	{ 0x56f6dc6e, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x48b65077, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x39f4ce01, "dev_disable_lro" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x5fde98e0, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xca6f6d49, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x7a528fab, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xec46468d, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x6efa7b, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xa89a701f, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x420f2a3e, "skb_ext_add" },
	{ 0x3bd094e9, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x1c09d36, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0x66e9903d, "neigh_lookup" },
	{ 0x5f03c692, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x76b9907, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe59c1660, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "6688CB620D23305C0BE1643");
MODULE_INFO(rhelversion, "9.6");
