#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x1c6ea4f7, "");
SYMBOL_CRC(wpan_phy_for_each, 0x72e5886a, "");
SYMBOL_CRC(wpan_phy_new, 0x26c57456, "");
SYMBOL_CRC(wpan_phy_register, 0x2086ad40, "");
SYMBOL_CRC(wpan_phy_unregister, 0xdfd0bb06, "");
SYMBOL_CRC(wpan_phy_free, 0xb6e5d8a3, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x0ce53f3a, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x65b7bc19, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x0fb50323, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x297be321, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x264b3fd9, "bpf_trace_run4" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc7fa3777, "dev_set_name" },
	{ 0xdd8068f, "trace_output_call" },
	{ 0x382305b5, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x9d2ae2a6, "finish_wait" },
	{ 0x6d92f4ea, "trace_event_printf" },
	{ 0x27e541fe, "device_initialize" },
	{ 0xe231ec5d, "genlmsg_put" },
	{ 0x71c03c53, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xb921028, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x50673ed4, "bpf_trace_run2" },
	{ 0x756a4baa, "prepare_to_wait_event" },
	{ 0xb7e2d23f, "event_triggers_call" },
	{ 0xd4783088, "__wake_up" },
	{ 0xb1ec87fb, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3be1e29d, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x64baca02, "device_rename" },
	{ 0xac6601fb, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfdf5a67d, "put_device" },
	{ 0x93a641ae, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x7ffb66de, "__alloc_skb" },
	{ 0x29e2bdc2, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5bd0c69, "__dev_get_by_index" },
	{ 0x54dac7bd, "perf_trace_run_bpf_submit" },
	{ 0xc6fd4a68, "init_net" },
	{ 0x2382148f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe8056e85, "device_add" },
	{ 0x7d8a7136, "sk_skb_reason_drop" },
	{ 0x7196eb91, "netlink_unicast" },
	{ 0xaa478304, "dev_get_by_index" },
	{ 0xdcd6cbfc, "skb_push" },
	{ 0xf00a075f, "nla_put" },
	{ 0x99b546dc, "trace_event_reg" },
	{ 0xda4321c9, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x82886719, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2f10f2e6, "bpf_trace_run1" },
	{ 0xd9d304f5, "device_del" },
	{ 0x3f547ae4, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x57da2658, "__init_waitqueue_head" },
	{ 0xbf25462e, "__pskb_pull_tail" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xe8cdc1e1, "skb_trim" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8e27dfdd, "bpf_trace_run3" },
	{ 0xe2d76488, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe6e2e344, "get_net_ns_by_pid" },
	{ 0xc881df0, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd2228da0, "device_match_name" },
	{ 0x78edbc84, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7694d5fb, "genl_unregister_family" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x30882e7f, "genl_register_family" },
	{ 0xb7a917a8, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1aa5c6af, "register_pernet_device" },
	{ 0x33cf337a, "get_net_ns_by_fd" },
	{ 0xdcd95fe7, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0x13c338cf, "class_find_device" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "190F46991CF0176DC413D95");
MODULE_INFO(rhelversion, "9.6");
