#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x4bc8e2bd, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x6edf7351, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x37f7adbd, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x45e58c1c, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xf19b9e7a, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x70e8c2ca, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x8c684dee, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x24c7b973, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x32ac43e6, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xc8af4424, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x03b16f0c, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xad558216, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x313de657, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc6fd4a68, "init_net" },
	{ 0xd87a2857, "alloc_netdev_mqs" },
	{ 0xbb831c23, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x86096e2f, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbb6e35b0, "rtnl_link_unregister" },
	{ 0x33b4e73f, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xb921028, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3c656d2e, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xbf25462e, "__pskb_pull_tail" },
	{ 0xe59c1660, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x54f2e476, "netdev_state_change" },
	{ 0xfc935af8, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x90c7e056, "dst_cache_get" },
	{ 0x8ae3030b, "ip6_route_output_flags" },
	{ 0x94faea50, "xfrm_lookup" },
	{ 0xa29ac9b, "ipv4_mtu" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x6c1626a1, "skb_scrub_packet" },
	{ 0x501d0ce9, "skb_realloc_headroom" },
	{ 0xd90a1568, "skb_set_owner_w" },
	{ 0xfc0d9541, "consume_skb" },
	{ 0x83313807, "ipv6_push_frag_opts" },
	{ 0xdcd6cbfc, "skb_push" },
	{ 0x6cbd1078, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x62c68a63, "skb_copy_bits" },
	{ 0xc8f65d51, "ip6_dst_hoplimit" },
	{ 0xebc9468f, "ipv6_dev_get_saddr" },
	{ 0x1e646b59, "neigh_destroy" },
	{ 0xf2cb7a63, "make_kuid" },
	{ 0x14b1a941, "ip6_redirect" },
	{ 0xe2abd18f, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x931e7a65, "iptunnel_handle_offloads" },
	{ 0x91a19e25, "icmpv6_ndo_send" },
	{ 0x70aaac15, "icmp_ndo_send" },
	{ 0x7d8a7136, "sk_skb_reason_drop" },
	{ 0x742d01fc, "skb_clone" },
	{ 0x2382148f, "skb_pull" },
	{ 0x263f859, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2d0e1c35, "gro_cells_receive" },
	{ 0xb034669b, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc043670a, "__iptunnel_pull_header" },
	{ 0x6b55e629, "metadata_dst_alloc" },
	{ 0x19088ada, "__xfrm_policy_check" },
	{ 0x9e4042bf, "ip_route_output_flow" },
	{ 0x638ee3f3, "ip_route_input_noref" },
	{ 0xf4ecca31, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1bc4a290, "dev_get_tstats64" },
	{ 0x31b7afab, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7957791a, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb58e511a, "ipv6_chk_addr_and_flags" },
	{ 0xbb7d5fd2, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x1aa5c6af, "register_pernet_device" },
	{ 0xbb69ea69, "xfrm6_tunnel_register" },
	{ 0x3d9a413a, "rtnl_link_register" },
	{ 0x419842a2, "xfrm6_tunnel_deregister" },
	{ 0x82886719, "unregister_pernet_device" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7238976, "unregister_netdevice_queue" },
	{ 0xe5d65ee1, "rt6_lookup" },
	{ 0x8723692b, "dst_release" },
	{ 0x5bd0c69, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "3DD7C01CB2A7CAF119C80A5");
MODULE_INFO(rhelversion, "9.6");
