#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_wake_queue, "", "");
KSYMTAB_FUNC(ieee802154_stop_queue, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x2d143c13, "");
SYMBOL_CRC(ieee802154_free_hw, 0xeb24f34c, "");
SYMBOL_CRC(ieee802154_register_hw, 0x61d2e676, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x4d46d97a, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x8dae76a5, "");
SYMBOL_CRC(ieee802154_wake_queue, 0x8d13c16a, "");
SYMBOL_CRC(ieee802154_stop_queue, 0xfd771ae7, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x8f4a9a64, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xedc364c4, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x264b3fd9, "bpf_trace_run4" },
	{ 0xfe7dcfd0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfc0d9541, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x382305b5, "trace_raw_output_prep" },
	{ 0x2398e92c, "skb_dequeue" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x6d92f4ea, "trace_event_printf" },
	{ 0xa23ac320, "hrtimer_init" },
	{ 0xd8229bda, "dev_alloc_name" },
	{ 0x71c03c53, "trace_event_raw_init" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xb921028, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf0363b75, "crypto_alloc_aead" },
	{ 0x50673ed4, "bpf_trace_run2" },
	{ 0x54a6f9b1, "netdev_warn" },
	{ 0x7e0ca4fe, "crypto_aead_setauthsize" },
	{ 0x47a4cd9d, "crypto_aead_decrypt" },
	{ 0xb7e2d23f, "event_triggers_call" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x7826388b, "crypto_skcipher_setkey" },
	{ 0x7238976, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfb50323, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfd0bb06, "wpan_phy_unregister" },
	{ 0xac6601fb, "trace_event_buffer_commit" },
	{ 0x64520669, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd87a2857, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x93a641ae, "trace_event_ignore_this_pid" },
	{ 0xb5f0ad13, "crypto_skcipher_decrypt" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0x4c58caa3, "skb_copy_expand" },
	{ 0x8ea25643, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe48bb199, "crypto_aead_setkey" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x54dac7bd, "perf_trace_run_bpf_submit" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2086ad40, "wpan_phy_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6ff04fe2, "crypto_aead_encrypt" },
	{ 0x7d8a7136, "sk_skb_reason_drop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xdcd6cbfc, "skb_push" },
	{ 0x297be321, "ieee802154_hdr_peek" },
	{ 0xb6e5d8a3, "wpan_phy_free" },
	{ 0xd583f82c, "netif_receive_skb" },
	{ 0x99b546dc, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x86096e2f, "free_netdev" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2f10f2e6, "bpf_trace_run1" },
	{ 0x569a736e, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x8c4f8d9b, "_dev_warn" },
	{ 0xd32d171a, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65b7bc19, "ieee802154_hdr_pull" },
	{ 0xa4ca639c, "crypto_alloc_sync_skcipher" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xe8cdc1e1, "skb_trim" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbaa208db, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8e27dfdd, "bpf_trace_run3" },
	{ 0x45e13840, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc881df0, "trace_event_buffer_reserve" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xa5c8051a, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x26c57456, "wpan_phy_new" },
	{ 0x742d01fc, "skb_clone" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdde1fdf0, "hrtimer_cancel" },
	{ 0xce53f3a, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x7a528fab, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe59c1660, "register_netdevice" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "140396463CF883F90E7FB4B");
MODULE_INFO(rhelversion, "9.6");
