#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x22389711, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xa0061fb9, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xe4cf2e05, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xd8f7edd9, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xd2df2732, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x1e945dba, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x0b0c0205, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x34790310, "");
SYMBOL_CRC(ip_vs_conn_put, 0xc2874e18, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x85297d19, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xa68be923, "");
SYMBOL_CRC(register_ip_vs_app, 0x82a8a282, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x76764263, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xc5701ea7, "");
SYMBOL_CRC(ip_vs_proto_get, 0xd7c41fa5, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xf0acd3e5, "");
SYMBOL_CRC(register_ip_vs_pe, 0x3fb78d85, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x1edc411d, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xcc3036ac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f6450b9, "nf_ct_ext_add" },
	{ 0xf57beb40, "nf_conntrack_find_get" },
	{ 0x2f8ed706, "try_module_get" },
	{ 0x73f69b5f, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd07a5c1b, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x62c68a63, "skb_copy_bits" },
	{ 0x94faea50, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7a24fd51, "proc_dointvec_jiffies" },
	{ 0xd3169b6f, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfc0d9541, "consume_skb" },
	{ 0x33b4e73f, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x26c032a0, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf5e4978e, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xb0ec0e49, "nf_ct_netns_get" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x9d2ae2a6, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xc3fe467c, "kernel_bind" },
	{ 0xe231ec5d, "genlmsg_put" },
	{ 0xb655933a, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf7907492, "ip6_route_me_harder" },
	{ 0xb921028, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x756a4baa, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbd676b00, "__module_get" },
	{ 0x9e4042bf, "ip_route_output_flow" },
	{ 0x30a7fa17, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x931e7a65, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xb23a1cd, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xc9da9979, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb128efa1, "pskb_expand_head" },
	{ 0x36477a09, "register_pernet_subsys" },
	{ 0x999d170e, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc9c25ac6, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x16300ae, "nf_register_net_hooks" },
	{ 0x8ae3030b, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x7ffb66de, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa215a0ae, "kmem_cache_alloc" },
	{ 0x8e21741f, "ipv6_sock_mc_join" },
	{ 0x26d8cba4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xebc9468f, "ipv6_dev_get_saddr" },
	{ 0x3f0be480, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc6fd4a68, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x7d8a7136, "sk_skb_reason_drop" },
	{ 0x7196eb91, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xe96a6b9b, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x677150ce, "nf_conntrack_alter_reply" },
	{ 0xd7a603e6, "ip_route_me_harder" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xdcd6cbfc, "skb_push" },
	{ 0x4d363bf5, "kmem_cache_free" },
	{ 0x2542dab5, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd9bcf879, "proc_doulongvec_minmax" },
	{ 0x936c570d, "nf_ct_expect_alloc" },
	{ 0x7e66324f, "skb_ensure_writable" },
	{ 0x98d7fb29, "iov_iter_kvec" },
	{ 0x3a46de53, "ip_mc_join_group" },
	{ 0x5979ad21, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfc935af8, "ns_capable" },
	{ 0xe03e8094, "nf_unregister_net_hooks" },
	{ 0xad7f89cc, "inet_select_addr" },
	{ 0x82886719, "unregister_pernet_device" },
	{ 0x6ae2fa26, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7ac44b42, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa1e68d89, "kthread_stop" },
	{ 0x3f529709, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xae6adbbf, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x768a438f, "kernel_connect" },
	{ 0xa3034061, "skb_checksum" },
	{ 0xe877045d, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x263f859, "__icmpv6_send" },
	{ 0xbf25462e, "__pskb_pull_tail" },
	{ 0xa7b0963b, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe8cdc1e1, "skb_trim" },
	{ 0x79f6946b, "nf_hook_slow" },
	{ 0x1e589fa1, "mutex_trylock" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd7c64fbc, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xd6d951fc, "nf_ct_deliver_cached_events" },
	{ 0x501d0ce9, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6c6bb959, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf4ecca31, "__icmp_send" },
	{ 0xa29ac9b, "ipv4_mtu" },
	{ 0x999e8297, "vfree" },
	{ 0xd90a1568, "skb_set_owner_w" },
	{ 0x59059011, "__skb_checksum" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xa712e075, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x29db796d, "init_user_ns" },
	{ 0x5dc0b774, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4b295d6, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xd5940b72, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xbf90c2ad, "proc_create_net_single" },
	{ 0xdc706aa1, "ipv4_update_pmtu" },
	{ 0x66ff7bb3, "nf_defrag_ipv6_enable" },
	{ 0x8723692b, "dst_release" },
	{ 0x245465b0, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x87039d48, "proc_dointvec" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x3877e8c2, "unregister_net_sysctl_table" },
	{ 0xa4e98a00, "ip_local_out" },
	{ 0x7694d5fb, "genl_unregister_family" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x97d3ae80, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xd6d41fbf, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x30882e7f, "genl_register_family" },
	{ 0x26758295, "kernel_sendmsg" },
	{ 0x47f6fe86, "nf_ct_netns_put" },
	{ 0x1aa5c6af, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5f03c692, "kmem_cache_destroy" },
	{ 0x1fdd7016, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x42255569, "proc_dointvec_minmax" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "5EAFA4B39E8688083125DED");
MODULE_INFO(rhelversion, "9.6");
