#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x77c53e9b, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xca9e5a7c, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x34526ab2, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x35d9d31e, "");
SYMBOL_CRC(gss_mech_put, 0x1b223504, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xa8606685, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x5b632406, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41534f26, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f8ed706, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa47118c6, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x80b8a59f, "xdr_buf_from_iov" },
	{ 0x264b3fd9, "bpf_trace_run4" },
	{ 0x619e7a5c, "xdr_stream_decode_opaque_auth" },
	{ 0x45c5498b, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xab492e02, "xdr_write_pages" },
	{ 0x72f70c62, "rpc_shutdown_client" },
	{ 0xcf8e7713, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc56349bb, "xdr_inline_decode" },
	{ 0x719cb8cf, "cache_create_net" },
	{ 0x7d315d7, "rpcauth_destroy_credcache" },
	{ 0x382305b5, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xd603ce1f, "bpf_trace_run6" },
	{ 0xf36bb346, "rpc_net_ns" },
	{ 0x6e5e5502, "read_bytes_from_xdr_buf" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x9d2ae2a6, "finish_wait" },
	{ 0xbb264f92, "rpc_wake_up" },
	{ 0x6d92f4ea, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xfebf2d0d, "sunrpc_cache_lookup_rcu" },
	{ 0xae089cd4, "prepare_to_wait" },
	{ 0x71c03c53, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xb921028, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x19b62c25, "__put_devmap_managed_page_refs" },
	{ 0x3626d6e6, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x50673ed4, "bpf_trace_run2" },
	{ 0x756a4baa, "prepare_to_wait_event" },
	{ 0xa99569dd, "xdr_truncate_decode" },
	{ 0xdb4a1507, "rpcauth_unregister" },
	{ 0xb7e2d23f, "event_triggers_call" },
	{ 0xd4783088, "__wake_up" },
	{ 0xed32ff58, "__xdr_commit_encode" },
	{ 0xbd676b00, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5cbfe920, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x87f2263b, "__put_cred" },
	{ 0x36477a09, "register_pernet_subsys" },
	{ 0xac6601fb, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x700c06b3, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x1b7a524a, "rpc_release_client" },
	{ 0x8d79bff7, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x598ab225, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf2598e1b, "svc_auth_register" },
	{ 0x2a78d0f6, "xdr_stream_encode_opaque_auth" },
	{ 0x93a641ae, "trace_event_ignore_this_pid" },
	{ 0xf2cb7a63, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x48d5509b, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf7efca8c, "__free_pages" },
	{ 0x2f81aa19, "rpc_pipe_generic_upcall" },
	{ 0x26d8cba4, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x9ec942a5, "cache_unregister_net" },
	{ 0x94e69bf5, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x54dac7bd, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x69ffd8eb, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x90c1975b, "rpcauth_init_credcache" },
	{ 0x4144238a, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x6d5a2dd5, "xdr_init_decode" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x99b546dc, "trace_event_reg" },
	{ 0x79f0443e, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd9107d7, "rpc_sleep_on_timeout" },
	{ 0x5a6b971a, "rpc_create" },
	{ 0x2f10f2e6, "bpf_trace_run1" },
	{ 0xd0058fa6, "rpc_call_sync" },
	{ 0x410399b9, "from_kuid" },
	{ 0xae6adbbf, "unregister_pernet_subsys" },
	{ 0xd0da90d6, "rpc_queue_upcall" },
	{ 0xfe4a122f, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xcf6b5c13, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x35c245d2, "svcauth_unix_set_client" },
	{ 0xe8fa3456, "xdr_buf_subsegment" },
	{ 0x57da2658, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xad1d4328, "make_kgid" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x8dd567fb, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xab05cf05, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3b0db82, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8e27dfdd, "bpf_trace_run3" },
	{ 0xe2d76488, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7e7eec05, "rpc_mkpipe_dentry" },
	{ 0x53cc06b9, "rpc_mkpipe_data" },
	{ 0x7864ea18, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc881df0, "trace_event_buffer_reserve" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x70c0b216, "cache_register_net" },
	{ 0x29db796d, "init_user_ns" },
	{ 0x2385cbf8, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xac62d5c3, "xdr_inline_pages" },
	{ 0xb94ef2f7, "__folio_put" },
	{ 0xe4b295d6, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x7dcc0efa, "rpc_init_wait_queue" },
	{ 0xa080e60e, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9fb974de, "rpc_unlink" },
	{ 0x41f67a1, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xff938adf, "from_kuid_munged" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x6bb905a1, "rpcauth_init_cred" },
	{ 0x8b688b16, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9eeba3c5, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x945e77e3, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2b1b324, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xcb2734a2, "sunrpc_cache_update" },
	{ 0xe20c92ee, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x31ad3f0f, "rpc_destroy_wait_queue" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3ad2b0f4, "auth_domain_put" },
	{ 0x656bbfad, "rpcauth_unwrap_resp_decode" },
	{ 0x6ab8a284, "rpcauth_register" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.6");
