#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x1a300714, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xd06d63b5, "_gpl");
SYMBOL_CRC(tls_get_record, 0xc446102d, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xe59a2d17, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xfced2597, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe71a0ace, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4d28fca2, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x37943819, "tcp_read_sock" },
	{ 0x264b3fd9, "bpf_trace_run4" },
	{ 0x62c68a63, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc7289460, "sk_page_frag_refill" },
	{ 0xfe7dcfd0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfc0d9541, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x382305b5, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x5d4fdbe8, "sk_psock_msg_verdict" },
	{ 0xd603ce1f, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x6d92f4ea, "trace_event_printf" },
	{ 0xad98a9c1, "iov_iter_get_pages2" },
	{ 0x394ed878, "___pskb_trim" },
	{ 0x71c03c53, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb921028, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x8bfccf10, "add_wait_queue" },
	{ 0x19b62c25, "__put_devmap_managed_page_refs" },
	{ 0x8f9a7df2, "clean_acked_data_enable" },
	{ 0xb56bc8cf, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf0363b75, "crypto_alloc_aead" },
	{ 0x7caf8d23, "__tracepoint_sk_data_ready" },
	{ 0x7e0ca4fe, "crypto_aead_setauthsize" },
	{ 0x47a4cd9d, "crypto_aead_decrypt" },
	{ 0xb7e2d23f, "event_triggers_call" },
	{ 0xd4783088, "__wake_up" },
	{ 0x60c95aba, "sk_stream_error" },
	{ 0xa27fb0e1, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa67bfc90, "sk_msg_memcopy_from_iter" },
	{ 0x99a94631, "sk_error_report" },
	{ 0x36477a09, "register_pernet_subsys" },
	{ 0x46bb88ed, "put_cmsg" },
	{ 0xbeb68ce, "__sk_flush_backlog" },
	{ 0xac6601fb, "trace_event_buffer_commit" },
	{ 0x64520669, "crypto_destroy_tfm" },
	{ 0xa908df75, "do_tcp_sendpages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x94fcaca6, "sk_psock_tls_strp_read" },
	{ 0x5f85ed44, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x93a641ae, "trace_event_ignore_this_pid" },
	{ 0x7ffb66de, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0xae072675, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xaeb9157a, "tcp_recv_skb" },
	{ 0xe48bb199, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x54dac7bd, "perf_trace_run_bpf_submit" },
	{ 0xe906823c, "down_write" },
	{ 0xd361253b, "crypto_req_done" },
	{ 0x61520178, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6ff04fe2, "crypto_aead_encrypt" },
	{ 0x7d8a7136, "sk_skb_reason_drop" },
	{ 0xeba719d8, "__SCK__tp_func_sk_data_ready" },
	{ 0x751d90d7, "bpf_trace_run5" },
	{ 0x41086370, "sk_free" },
	{ 0x8ec6d6ac, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x5009cb05, "__sk_mem_reclaim" },
	{ 0xcc66852, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0x99b546dc, "trace_event_reg" },
	{ 0x98d7fb29, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x591ac203, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6ae2fa26, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb877ebff, "sk_msg_return_zero" },
	{ 0x4cbb391a, "mutex_lock_interruptible" },
	{ 0x3be96a36, "skb_copy_datagram_iter" },
	{ 0x2f10f2e6, "bpf_trace_run1" },
	{ 0x56a36352, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xae6adbbf, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3cd7acf1, "sock_efree" },
	{ 0x97ce0bb3, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3708d328, "clean_acked_data_disable" },
	{ 0x57da2658, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x5ca75f88, "sk_msg_free_partial" },
	{ 0xd9b689a9, "down_read" },
	{ 0xe8cdc1e1, "skb_trim" },
	{ 0x1e589fa1, "mutex_trylock" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xaff8a5f, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa44a3fe5, "tcp_register_ulp" },
	{ 0x8e27dfdd, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x67b94f95, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaa781ace, "skb_page_frag_refill" },
	{ 0xc881df0, "trace_event_buffer_reserve" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xc3139785, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x2385cbf8, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb94ef2f7, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe4b295d6, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xbf90c2ad, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x742d01fc, "skb_clone" },
	{ 0x8723692b, "dst_release" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0x468952f0, "_copy_from_iter" },
	{ 0x74aedbf2, "skb_copy_header" },
	{ 0x739250b2, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xec7f4476, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xdc173c21, "netdev_sk_get_lowest_dev" },
	{ 0xec883aa2, "sk_msg_alloc" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0xae115dbb, "_copy_from_iter_nocache" },
	{ 0xa4a8080c, "tcp_rate_check_app_limited" },
	{ 0x1dd927ac, "tcp_poll" },
	{ 0xd90cf0f5, "iov_iter_revert" },
	{ 0x83afe198, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb1c0cd51, "skb_to_sgvec" },
	{ 0x856f2b71, "up_read" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x265f4dc5, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0x2c13e689, "tcp_read_done" },
	{ 0x1fdd7016, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7056DAA37D02E0E08BCAB4D");
MODULE_INFO(rhelversion, "9.6");
