#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0xd2c5f82c, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x4756dcb5, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x2707b358, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x94c05050, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x84bdf20b, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x1719aca8, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0xf4f1491b, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x818a4a35, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x9452d4d4, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x303685e7, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xa85d3dd1, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x1ab2af1e, "_gpl");
SYMBOL_CRC(cs42l42_init, 0xf576c89b, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x383b4c3c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x1e4cb1c5, "device_property_present" },
	{ 0xc9815e33, "regcache_cache_only" },
	{ 0x28eeec69, "regcache_sync" },
	{ 0x1397200a, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa40eba3e, "snd_soc_jack_report" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0xc6a7975f, "gpiod_set_value_cansleep" },
	{ 0xdbb02dc3, "snd_pcm_hw_constraint_minmax" },
	{ 0xe7fc96b, "regcache_sync_region" },
	{ 0x1463b737, "snd_soc_put_enum_double" },
	{ 0xde09b179, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc150a3c2, "devm_gpiod_get_optional" },
	{ 0xd75d09b9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1cdbdfa3, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3099f662, "device_property_read_u32_array" },
	{ 0x1831b214, "snd_soc_get_enum_double" },
	{ 0x2e499338, "_dev_info" },
	{ 0xd9610539, "snd_soc_info_volsw" },
	{ 0xab091f8a, "regcache_drop_region" },
	{ 0x5e41599d, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x8c4f8d9b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f50ecf7, "snd_soc_info_enum_double" },
	{ 0x2b72878e, "snd_soc_get_volsw" },
	{ 0xbfb21a9b, "regmap_read" },
	{ 0xc901a3a6, "snd_soc_put_volsw" },
	{ 0x2b205441, "snd_soc_component_update_bits" },
	{ 0x9d02033e, "__pm_runtime_resume" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe6e199cd, "regmap_bulk_read" },
	{ 0xbefa83e6, "regmap_update_bits_base" },
	{ 0x1f9ba2f3, "dev_err_probe" },
	{ 0xb3f955b, "regmap_multi_reg_write" },
	{ 0x47789d3d, "__pm_runtime_suspend" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "0CFCC13CFCF1A0369B62361");
MODULE_INFO(rhelversion, "9.6");
