#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_obj_find_prop_id, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_dmabuf, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on_config, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x2ddb7ec0, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0xc6a0c17a, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0xea54b39d, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0xcec02e77, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xc4137fb6, "");
SYMBOL_CRC(drm_atomic_state_init, 0x475d9bdd, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xbd91cb9f, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x204de597, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x39a09a2b, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x116ac8c1, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0xf1fba443, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x3ad4d204, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0xb3ff573d, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x93c816ae, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x525f4fb7, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xd32e0da0, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x41ef9048, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xc09ed25f, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x72bc23aa, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x78ee8bb8, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x57a2081d, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0xccdfe02e, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x224e1316, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xd1fd30f6, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xeb4c2d52, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0xe1d67627, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xd1841be4, "");
SYMBOL_CRC(drm_atomic_check_only, 0x942c1984, "");
SYMBOL_CRC(drm_atomic_commit, 0x26ca9a9a, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xdf4d9cd1, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x4902a3de, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x6a5f0358, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x26918978, "");
SYMBOL_CRC(drm_state_dump, 0x2223e463, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x0ba68501, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0xca03d530, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xda9e4265, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x6b47b851, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x9403a3ad, "");
SYMBOL_CRC(drm_is_current_master, 0xfebeb4d3, "");
SYMBOL_CRC(drm_master_get, 0x26e1907e, "");
SYMBOL_CRC(drm_file_get_master, 0xaacd69ab, "");
SYMBOL_CRC(drm_master_put, 0x1e34acb9, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x16ba1caf, "");
SYMBOL_CRC(drm_master_internal_release, 0x13d72b2d, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0xaa57a7d8, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xfd9aba56, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x31a956da, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0xe3ed1f83, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x5cd59700, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x9a0989e1, "");
SYMBOL_CRC(drm_bridge_add, 0xb847c256, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x159a6323, "");
SYMBOL_CRC(drm_bridge_remove, 0x082415de, "");
SYMBOL_CRC(drm_bridge_attach, 0x0377932b, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0xa99fcb0d, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x6eff0436, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0xb21822e2, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0xbce731ab, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0xc974c1ef, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0xa6cca4ff, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x29c09554, "");
SYMBOL_CRC(drm_bridge_detect, 0xe86ac566, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x770c36b1, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x97a662bf, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x0a1b1e5f, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xe8f3eb09, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x7c3334e6, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x44daf23b, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0xdaa70252, "");
SYMBOL_CRC(drm_client_register, 0x8728e93b, "");
SYMBOL_CRC(drm_client_release, 0x36f8a0aa, "");
SYMBOL_CRC(drm_client_dev_unregister, 0xa5ce7e93, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0xb9bb20a0, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0xeeb854da, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0xd91eea9e, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0xd44a6148, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x205cfe0d, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x6850c1a7, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x7c2a5d7e, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x28dd4bbd, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x15605e54, "");
SYMBOL_CRC(drm_client_rotation, 0x7a0c814a, "");
SYMBOL_CRC(drm_client_modeset_check, 0xfd495b1c, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0xfba58451, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xe85ac998, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xa665980a, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x08d38ab6, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xb7911f0a, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x41bc01f6, "");
SYMBOL_CRC(drm_color_lut_check, 0x72700f51, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0xaf5e96fb, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x517fcc97, "");
SYMBOL_CRC(drmm_connector_init, 0x573ab4f5, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0xa3159a8e, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x66a4956a, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x82c4e6e9, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x4d4a9bef, "");
SYMBOL_CRC(drm_connector_cleanup, 0xefd0d60a, "");
SYMBOL_CRC(drm_connector_register, 0x011359d8, "");
SYMBOL_CRC(drm_connector_unregister, 0x7d6a0d8c, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x5ad1e459, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0xa3e76c33, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x76dfeb11, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x0efd6506, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x8a0336db, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x37af2bfe, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0xa44c4e71, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x339ab8ae, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0x847ead5d, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0xe84e67fc, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x82cb8a12, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0xb155bcef, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x48f6b1e6, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x3832213a, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x0ec9cdb9, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x937f5f78, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x050205eb, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x73db011d, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xfe84dab9, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x1e976529, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0xe6168833, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x95366d5a, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0xc6fc1def, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0x36739d8f, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x2ce02301, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x4a508063, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x381e9d2d, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x6df00e6c, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x8b27dea4, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x5bd7a696, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x9202f0d3, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0xc20a58c3, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x00339076, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x5974a529, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0xb008422c, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xa7028942, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x4c21dcd7, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x80fcd43b, "");
SYMBOL_CRC(drm_crtc_from_index, 0xa49723c2, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0xc8836372, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x9fe83e29, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x753691fb, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x9278cc11, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0xc67f3cd7, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x16a1508b, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0xef690162, "");
SYMBOL_CRC(drm_put_dev, 0xb83ddf1f, "");
SYMBOL_CRC(drm_dev_enter, 0x168d7c23, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0xf1f1a5fc, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x7f7d6f59, "");
SYMBOL_CRC(drm_dev_alloc, 0xc027cbbb, "");
SYMBOL_CRC(drm_dev_get, 0xb91d8e10, "");
SYMBOL_CRC(drm_dev_put, 0xc6b7cb0e, "");
SYMBOL_CRC(drm_dev_register, 0x8814c000, "");
SYMBOL_CRC(drm_dev_unregister, 0x45b13f31, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x28e3ea92, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xe8d6d75c, "");
SYMBOL_CRC(drm_get_edid, 0x3c41cc50, "");
SYMBOL_CRC(drm_edid_read_custom, 0x348cbe50, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x235a2002, "");
SYMBOL_CRC(drm_edid_read, 0xf96bd54c, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0xb2f44400, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0x2effc954, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x5cdf9fa8, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x44d45244, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0xcd76827e, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x7fc8c032, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0x4fd211c3, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0x6cc21990, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0xabf1bd4f, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x72c2db0d, "");
SYMBOL_CRC(drm_add_edid_modes, 0xb9977ec4, "");
SYMBOL_CRC(drm_add_modes_noedid, 0xa29288a4, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xfdef8b66, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x9e7cc4b0, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xc72ae424, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0x0891c63e, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x9257407d, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0xeb772270, "");
SYMBOL_CRC(drmm_encoder_init, 0xe791b05a, "");
SYMBOL_CRC(drm_open, 0xf361b5b9, "");
SYMBOL_CRC(drm_release, 0xc481ea4e, "");
SYMBOL_CRC(drm_release_noglobal, 0x38206f34, "");
SYMBOL_CRC(drm_read, 0x229f1ff4, "");
SYMBOL_CRC(drm_poll, 0xa174e33f, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x8c902425, "");
SYMBOL_CRC(drm_event_reserve_init, 0x4a9a6892, "");
SYMBOL_CRC(drm_event_cancel_free, 0x0758f2aa, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x169921e0, "");
SYMBOL_CRC(drm_send_event_locked, 0x627cea18, "");
SYMBOL_CRC(drm_send_event, 0x08b97ba5, "");
SYMBOL_CRC(drm_print_memory_stats, 0x9bfc9dc7, "");
SYMBOL_CRC(drm_show_memory_stats, 0x59ee5590, "");
SYMBOL_CRC(drm_show_fdinfo, 0x4925923c, "");
SYMBOL_CRC(mock_drm_getfile, 0xb0e03bc0, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0xf1d15ae0, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x2d4342b6, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0xa11d04ce, "");
SYMBOL_CRC(drm_framebuffer_init, 0xb573015e, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xc927ab36, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x8426e4ab, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x54dc5e35, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x28a50284, "");
SYMBOL_CRC(drm_gem_object_init, 0x0485c233, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x345249f8, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0xd075a6e8, "");
SYMBOL_CRC(drm_gem_handle_delete, 0xddf36469, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x8e6fdd30, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0xff12c05e, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x4b0cab5f, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0xcb8b7444, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x3c0bb951, "");
SYMBOL_CRC(drm_gem_get_pages, 0x28bb1483, "");
SYMBOL_CRC(drm_gem_put_pages, 0x63f14435, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x55a8e19f, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x4c5ebcce, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x9c96033c, "");
SYMBOL_CRC(drm_gem_object_release, 0x9139f955, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0x2b9da6f3, "");
SYMBOL_CRC(drm_gem_vm_close, 0x927f52d5, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x77ecf044, "");
SYMBOL_CRC(drm_gem_mmap, 0x90a9dcf1, "");
SYMBOL_CRC(drm_gem_vmap, 0x7b2492de, "");
SYMBOL_CRC(drm_gem_vunmap, 0x76f48c2d, "");
SYMBOL_CRC(drm_gem_lock, 0xf1feb0c3, "");
SYMBOL_CRC(drm_gem_unlock, 0x710f90b9, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x224d4cf7, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0xf35a802a, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x5849884c, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xa2e0eb32, "");
SYMBOL_CRC(drm_gem_lru_init, 0xf1445d80, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x290af4bc, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xf2c9c673, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0xec164bc0, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xc7ba6b6a, "");
SYMBOL_CRC(drm_gem_evict, 0xc58c39cf, "");
SYMBOL_CRC(drm_noop, 0x672a2d40, "");
SYMBOL_CRC(drm_invalid_op, 0xbb62b06d, "");
SYMBOL_CRC(drm_ioctl_kernel, 0xe8ce9dcb, "");
SYMBOL_CRC(drm_ioctl, 0x6c96a510, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x4bcc3928, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x04030496, "");
SYMBOL_CRC(drmm_release_action, 0x0f85385e, "");
SYMBOL_CRC(drmm_kmalloc, 0x169fbffc, "");
SYMBOL_CRC(drmm_kstrdup, 0x490580ec, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x4947f52a, "");
SYMBOL_CRC(__drmm_mutex_release, 0x1b5061db, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x384b280d, "");
SYMBOL_CRC(drm_mode_config_reset, 0x8dd6846f, "");
SYMBOL_CRC(drmm_mode_config_init, 0x38f69be5, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0xd360aa67, "");
SYMBOL_CRC(drm_mode_object_find, 0x05352ccb, "");
SYMBOL_CRC(drm_mode_object_put, 0xa16bf9d7, "");
SYMBOL_CRC(drm_mode_object_get, 0x78228c75, "");
SYMBOL_CRC(drm_object_attach_property, 0x1bde0412, "");
SYMBOL_CRC(drm_object_property_set_value, 0xe5685156, "");
SYMBOL_CRC(drm_object_property_get_value, 0x0abb7026, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xa9577ec9, "");
SYMBOL_CRC(drm_mode_obj_find_prop_id, 0x04b1561d, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xc1720984, "");
SYMBOL_CRC(drm_mode_destroy, 0x4d488c1e, "");
SYMBOL_CRC(drm_mode_probed_add, 0x95b83dfb, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xa8d6c572, "");
SYMBOL_CRC(drm_cvt_mode, 0x7b931cfc, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xadf89626, "");
SYMBOL_CRC(drm_gtf_mode, 0xcb9b50c9, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x7d6bbf81, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x5b2e21b0, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xce7b3ca5, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x90850dfa, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x4b4b976d, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0xb6b15bba, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x956997fb, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x16a8754a, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x67fc32d6, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0xe3e9c76f, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x7b03dcce, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x510bb325, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x71aa0742, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xd551cf6f, "");
SYMBOL_CRC(drm_modeset_backoff, 0xa9768de2, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x337edfb6, "");
SYMBOL_CRC(drm_modeset_lock, 0x351988f9, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x708c18ab, "");
SYMBOL_CRC(drm_modeset_unlock, 0xa2440a69, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x0f774cac, "");
SYMBOL_CRC(drm_universal_plane_init, 0x30691edf, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0xfddad140, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x7401fb8b, "");
SYMBOL_CRC(drm_plane_cleanup, 0xae71f10a, "");
SYMBOL_CRC(drm_plane_from_index, 0xba497982, "");
SYMBOL_CRC(drm_plane_force_disable, 0xaa0c90c2, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x3a64168c, "");
SYMBOL_CRC(drm_plane_has_format, 0x60050b1d, "");
SYMBOL_CRC(drm_any_plane_has_format, 0xeb12fb94, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x7e2c0f16, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x1936c835, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x9c932193, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x1df34209, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0x0c3cb889, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x2f4b99fb, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0xd7c7873b, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x3449833c, "");
SYMBOL_CRC(drm_gem_prime_handle_to_dmabuf, 0x64f045e7, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x1587b03b, "");
SYMBOL_CRC(drm_gem_map_attach, 0x923f4e8a, "");
SYMBOL_CRC(drm_gem_map_detach, 0x29883667, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xcf6cb14c, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0xd82db287, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x54c5e7df, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x4ca8d05b, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0xbb5a9f0d, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0xd4a653d4, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x4e748aa4, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x4c9c1aff, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x89468f86, "");
SYMBOL_CRC(drm_gem_prime_import, 0x1b9ad3bf, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x0428fb8e, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x63f4768f, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xc9f4f448, "");
SYMBOL_CRC(__drm_printfn_coredump, 0x95bf149b, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x25b1a326, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x2140e8a1, "");
SYMBOL_CRC(__drm_printfn_info, 0x4488028a, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x5fafb06f, "");
SYMBOL_CRC(__drm_printfn_err, 0x51a893c2, "");
SYMBOL_CRC(drm_puts, 0x4925085d, "");
SYMBOL_CRC(drm_printf, 0xbc0d826d, "");
SYMBOL_CRC(drm_print_bits, 0x1a01342e, "");
SYMBOL_CRC(drm_dev_printk, 0x279b8109, "");
SYMBOL_CRC(__drm_dev_dbg, 0x890442c1, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x271e5f9b, "");
SYMBOL_CRC(drm_property_create, 0x091fa808, "");
SYMBOL_CRC(drm_property_create_enum, 0xf67b0c91, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xdbf0f341, "");
SYMBOL_CRC(drm_property_create_range, 0x028e78d8, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x96988cf4, "");
SYMBOL_CRC(drm_property_create_object, 0xd3aa4fca, "");
SYMBOL_CRC(drm_property_create_bool, 0x6a82d1f2, "");
SYMBOL_CRC(drm_property_add_enum, 0x37be4733, "");
SYMBOL_CRC(drm_property_destroy, 0x0a0dd708, "");
SYMBOL_CRC(drm_property_create_blob, 0x967811a1, "");
SYMBOL_CRC(drm_property_blob_put, 0x9aa0a324, "");
SYMBOL_CRC(drm_property_blob_get, 0xe062843c, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x6dd96ace, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0xc5fb5870, "");
SYMBOL_CRC(drm_property_replace_blob, 0x223b9a79, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0xd0861890, "");
SYMBOL_CRC(drm_syncobj_find, 0xf8770785, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x0d599275, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x2aaa0fd3, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x69a6f09b, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x67ba1e69, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0xb7fa87f1, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x21750a47, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x0ccdf050, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0xd1000b51, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x27afa024, "");
SYMBOL_CRC(drm_class_device_register, 0xa120c7b9, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0xce460613, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0x953c0ce8, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x059d8e90, "");
SYMBOL_CRC(drm_vblank_init, 0x0782abe1, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x83087650, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0xfc503848, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0xb0f5ea23, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x9c569d48, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0xc34e22d1, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xf17ecd36, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xbbbe615a, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x147b2d79, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x83bc499a, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x379f3e62, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xbb12fdab, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0xb84090fd, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x6796ab75, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xc4040134, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xe99a583e, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0xd0debf17, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x5fa7ba00, "");
SYMBOL_CRC(drm_crtc_vblank_on_config, 0x70b2852f, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x02e1d8b1, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0xd55e7cc0, "");
SYMBOL_CRC(drm_handle_vblank, 0x657e4326, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x787c7af5, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x4f317937, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x77526780, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x208fd1ff, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0x26cc1ebe, "");
SYMBOL_CRC(drm_vblank_work_init, 0xb44ad916, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x0335affa, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x2332b19e, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xbe7bd7b1, "");
SYMBOL_CRC(drm_vma_offset_add, 0x526e5194, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x8fc3cd4d, "");
SYMBOL_CRC(drm_vma_node_allow, 0x6a0f748b, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x7871cf44, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x9b8f1fdb, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x0d70799f, "");
SYMBOL_CRC(drm_writeback_connector_init, 0xee2b47c4, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x0df55f5e, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x5b005419, "");
SYMBOL_CRC(drm_writeback_queue_job, 0xc5571bd4, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x2aca6148, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0xff140402, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0xa0cf90af, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0x9471ff73, "");
SYMBOL_CRC(drm_panel_init, 0x22f519e8, "");
SYMBOL_CRC(drm_panel_add, 0x4471e606, "");
SYMBOL_CRC(drm_panel_remove, 0x5f6fa0ef, "");
SYMBOL_CRC(drm_panel_prepare, 0x4b964630, "");
SYMBOL_CRC(drm_panel_unprepare, 0x09ab6892, "");
SYMBOL_CRC(drm_panel_enable, 0xa14a87ec, "");
SYMBOL_CRC(drm_panel_disable, 0x44492c32, "");
SYMBOL_CRC(drm_panel_get_modes, 0xb15d8fdf, "");
SYMBOL_CRC(drm_is_panel_follower, 0x77b98d15, "");
SYMBOL_CRC(drm_panel_add_follower, 0x34755a33, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x18e9e36f, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x72f42206, "");
SYMBOL_CRC(drm_panel_of_backlight, 0xbefb0d6d, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0xbad25a0a, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xeb565ff0, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x0566fb99, "");
SYMBOL_CRC(drm_debugfs_add_file, 0xaf2ba446, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xe1279982, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x3a37b764, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0xba71775d, "ida_alloc_range" },
	{ 0x2f8ed706, "try_module_get" },
	{ 0x5ef22761, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8e3df2b0, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x882539bb, "alloc_anon_inode" },
	{ 0xbabb4a17, "show_class_attr_string" },
	{ 0x1ebaadc0, "kthread_cancel_work_sync" },
	{ 0x77287cce, "is_acpi_device_node" },
	{ 0xdc88bf54, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xf79bd870, "kthread_flush_work" },
	{ 0x264b3fd9, "bpf_trace_run4" },
	{ 0x2490f90e, "ida_destroy" },
	{ 0x9266ac4d, "idr_find" },
	{ 0x4d9647d5, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe10c1ac, "shmem_read_folio_gfp" },
	{ 0x1d6019da, "__folio_batch_release" },
	{ 0xc7fa3777, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe397caf5, "seq_buf_printf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x382305b5, "trace_raw_output_prep" },
	{ 0xac5efec9, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb94929ec, "dma_resv_wait_timeout" },
	{ 0x327c5001, "device_unregister" },
	{ 0x18f06110, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x36d8b79a, "kthread_flush_worker" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x9d2ae2a6, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x22bf9212, "request_firmware" },
	{ 0xd20e1043, "class_destroy" },
	{ 0x6d92f4ea, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x601e76, "idr_replace" },
	{ 0x8a668b12, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x27e541fe, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x515bafae, "fd_install" },
	{ 0x11ece0c3, "dma_fence_chain_ops" },
	{ 0x71c03c53, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xafd77f18, "component_del" },
	{ 0x4d83ce60, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a725884, "iput" },
	{ 0xb921028, "pcpu_hot" },
	{ 0x6ceedbdc, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x756a4baa, "prepare_to_wait_event" },
	{ 0xd941c467, "dma_buf_unmap_attachment_unlocked" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xb7e2d23f, "event_triggers_call" },
	{ 0xd4783088, "__wake_up" },
	{ 0x98e57209, "dma_fence_add_callback" },
	{ 0x9b8a488d, "synchronize_srcu" },
	{ 0x52bf6b86, "dma_fence_set_deadline" },
	{ 0xb1ec87fb, "get_device" },
	{ 0x6e845e05, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x959e73a0, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x999d170e, "wake_up_process" },
	{ 0xf52793d4, "dev_driver_string" },
	{ 0x549dadaf, "dma_buf_map_attachment_unlocked" },
	{ 0xac6601fb, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0xd458f777, "ww_mutex_trylock" },
	{ 0xaa478695, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x25965f4e, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4e3fcbda, "dma_max_mapping_size" },
	{ 0xfdf5a67d, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x93a641ae, "trace_event_ignore_this_pid" },
	{ 0xe59ebf71, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x669d23a4, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x843a0c6d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1d49a0bc, "dma_fence_remove_callback" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0x2e499338, "_dev_info" },
	{ 0xa377433c, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9310f1f1, "atomic_dec_and_mutex_lock" },
	{ 0x26d8cba4, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xefc6d7b2, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x420efb81, "idr_remove" },
	{ 0x5e7ba8f4, "dma_fence_chain_walk" },
	{ 0xa2572960, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xf105cefe, "__task_pid_nr_ns" },
	{ 0xe3ce67cb, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0xfc279698, "__xa_alloc" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xa53ba825, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xee98e27a, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x54dac7bd, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x81745c46, "fput" },
	{ 0xe906823c, "down_write" },
	{ 0x5e41599d, "_dev_err" },
	{ 0x61520178, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x852d3eda, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xe8056e85, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2aafd243, "sysfs_remove_link" },
	{ 0xa6666f1e, "idr_alloc" },
	{ 0xf643c538, "pid_task" },
	{ 0xbfbac4d3, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xf5ac02c6, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xc6faee7, "xa_load" },
	{ 0x73e4ba45, "noop_llseek" },
	{ 0x94d92c1c, "dma_fence_signal" },
	{ 0xdfe9430a, "folio_mark_accessed" },
	{ 0x5b83c42f, "dma_resv_fini" },
	{ 0x8fa359e, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x2d7b75e1, "dma_buf_get" },
	{ 0x79f7fa40, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x71038f1e, "aperture_remove_conflicting_pci_devices" },
	{ 0x63fa2131, "ww_mutex_lock" },
	{ 0x99b546dc, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x958c08ee, "dma_buf_put" },
	{ 0xde56b1a, "ida_free" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5919336e, "dma_fence_init" },
	{ 0x4cbb391a, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9e135722, "device_register" },
	{ 0xd9d304f5, "device_del" },
	{ 0x7653e92d, "idr_destroy" },
	{ 0x615e71d0, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0x8c4f8d9b, "_dev_warn" },
	{ 0x95247690, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x57da2658, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x26834352, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6d096d00, "devm_aperture_acquire_for_platform_device" },
	{ 0xc54a71da, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdb185435, "xa_erase" },
	{ 0x941b943a, "check_move_unevictable_folios" },
	{ 0x8e27dfdd, "bpf_trace_run3" },
	{ 0x3e39e74, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x13c403fd, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x45e13840, "rt_read_lock" },
	{ 0xbd35938e, "debugfs_create_file" },
	{ 0xc881df0, "trace_event_buffer_reserve" },
	{ 0x50cf76ca, "dma_map_sgtable" },
	{ 0xf0bf78b1, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x568556ba, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x6d55fcf, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc7a0aa6f, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x39c6497b, "seq_write" },
	{ 0xa5c8051a, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xc9e2ab9b, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0d4b8f6, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x353e0a31, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xee7b0ab6, "__rt_mutex_init" },
	{ 0x18d77897, "__srcu_read_unlock" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0xdbb36285, "i2c_transfer" },
	{ 0xc5da1a49, "dma_fence_allocate_private_stub" },
	{ 0xb0721178, "dma_buf_detach" },
	{ 0x3966ea6d, "dma_fence_signal_timestamp" },
	{ 0xbc1180f7, "dma_fence_chain_init" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0x8e9e7332, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xb579bb30, "dev_printk" },
	{ 0x1e7329ed, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x387e1e5e, "sched_set_fifo" },
	{ 0x4b5746c1, "simple_release_fs" },
	{ 0x1f9ba2f3, "dev_err_probe" },
	{ 0x4fcf53d1, "dma_unmap_sg_attrs" },
	{ 0xad685944, "kill_anon_super" },
	{ 0xff938adf, "from_kuid_munged" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x62b165fd, "__devm_add_action" },
	{ 0x79a55adc, "component_add" },
	{ 0xd4e1070, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf53c38d7, "dma_fence_chain_find_seqno" },
	{ 0xd6d41fbf, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa6602c49, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xe9dc60a9, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb5362993, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xebee391a, "put_pid" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc0ff6f56, "__dev_fwnode" },
	{ 0xa3e84f79, "pci_bus_type" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0xb9a7721a, "class_remove_file_ns" },
	{ 0xf3d77854, "simple_pin_fs" },
	{ 0x9bceb33f, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "446D6317B84B346C0B0F9B1");
MODULE_INFO(rhelversion, "9.6");
