#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xb1d8f1f9, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xe9411985, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x38f9c5d7, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xc2d6a819, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x3eb593cb, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x75f011c8, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x49626cd3, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x42925449, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x7e94bd58, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f957b25, "netdev_err" },
	{ 0x420efb81, "idr_remove" },
	{ 0xd4783088, "__wake_up" },
	{ 0x33163b96, "_copy_to_iter" },
	{ 0x7d437ccc, "iov_iter_advance" },
	{ 0x3be96a36, "skb_copy_datagram_iter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb921028, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9266ac4d, "idr_find" },
	{ 0x6431cdea, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x57da2658, "__init_waitqueue_head" },
	{ 0x30a4a203, "sock_init_data_uid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41086370, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x399a38cf, "cdev_init" },
	{ 0x71bcce16, "cdev_add" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x57a2f5b3, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xba73e51f, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xac1044a7, "dev_get_mac_address" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfc0d9541, "consume_skb" },
	{ 0x9d2ae2a6, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xae089cd4, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x7653e92d, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdcd6cbfc, "skb_push" },
	{ 0xfa8e8e07, "__skb_gso_segment" },
	{ 0xf4cda995, "skb_checksum_help" },
	{ 0x97ce0bb3, "kfree_skb_list_reason" },
	{ 0x3f0be480, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x9060e498, "__skb_flow_dissect" },
	{ 0x3733ad65, "skb_partial_csum_set" },
	{ 0xbf25462e, "__pskb_pull_tail" },
	{ 0x265f4dc5, "iov_iter_npages" },
	{ 0x468952f0, "_copy_from_iter" },
	{ 0xac4b2722, "sock_alloc_send_pskb" },
	{ 0xfe7dcfd0, "skb_put" },
	{ 0x92a96424, "zerocopy_sg_from_iter" },
	{ 0x58a3fc7, "__dev_queue_xmit" },
	{ 0x13b11fb1, "skb_copy_datagram_from_iter" },
	{ 0xd90cf0f5, "iov_iter_revert" },
	{ 0x62c68a63, "skb_copy_bits" },
	{ 0x831ce456, "build_skb" },
	{ 0xe0fc4cb4, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7d8a7136, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa6666f1e, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.6");
