#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xdc2f6af6, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x286acfbe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a06a7e3, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xcd1529a9, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x394ed878, "___pskb_trim" },
	{ 0x3c98fc74, "__skb_get_hash_symmetric_net" },
	{ 0x6431cdea, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x57da2658, "__init_waitqueue_head" },
	{ 0x30a4a203, "sock_init_data_uid" },
	{ 0x41086370, "sk_free" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x19666465, "napi_gro_receive" },
	{ 0xff428764, "napi_complete_done" },
	{ 0x45267f6a, "xdp_do_redirect" },
	{ 0xdd7dad78, "bpf_warn_invalid_xdp_action" },
	{ 0x818683c3, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x10074e86, "xdp_return_frame_rx_napi" },
	{ 0x93215db3, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x831ce456, "build_skb" },
	{ 0xfe7dcfd0, "skb_put" },
	{ 0xd90a1568, "skb_set_owner_w" },
	{ 0xaa781ace, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbf806732, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x647eb40c, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb94ef2f7, "__folio_put" },
	{ 0x19b62c25, "__put_devmap_managed_page_refs" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x8bfccf10, "add_wait_queue" },
	{ 0xec7f4476, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x184f85c5, "napi_get_frags" },
	{ 0x7a3db4a4, "iov_iter_single_seg_count" },
	{ 0xb128efa1, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x14e994fa, "skb_queue_purge_reason" },
	{ 0xdd04e2e0, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x952a41a3, "xdp_rxq_info_unreg" },
	{ 0x94a88ad1, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x26d8cba4, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xff296c40, "netif_set_real_num_tx_queues" },
	{ 0x91d9371b, "netif_set_real_num_rx_queues" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7238976, "unregister_netdevice_queue" },
	{ 0x54f2e476, "netdev_state_change" },
	{ 0xfc0d9541, "consume_skb" },
	{ 0x591ac203, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x9060e498, "__skb_flow_dissect" },
	{ 0x3733ad65, "skb_partial_csum_set" },
	{ 0xbf25462e, "__pskb_pull_tail" },
	{ 0x468952f0, "_copy_from_iter" },
	{ 0x265f4dc5, "iov_iter_npages" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x13b11fb1, "skb_copy_datagram_from_iter" },
	{ 0xb034669b, "eth_type_trans" },
	{ 0xac4b2722, "sock_alloc_send_pskb" },
	{ 0x92a96424, "zerocopy_sg_from_iter" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x77764401, "do_xdp_generic" },
	{ 0xd90cf0f5, "iov_iter_revert" },
	{ 0xdcd6cbfc, "skb_push" },
	{ 0xc9b50fe2, "eth_get_headlen" },
	{ 0x242106f8, "napi_gro_frags" },
	{ 0xf6594c8e, "napi_schedule_prep" },
	{ 0xab9ca870, "__napi_schedule" },
	{ 0x3938192a, "__page_frag_cache_drain" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xb3376230, "xdp_rxq_info_is_reg" },
	{ 0x599ef10a, "__xdp_rxq_info_reg" },
	{  0x233ce, "xdp_rxq_info_reg_mem_model" },
	{ 0xe423b550, "netif_napi_add_weight" },
	{ 0x1521fcba, "napi_enable" },
	{ 0x6ae2fa26, "lock_sock_nested" },
	{ 0xbda68084, "sk_attach_filter" },
	{ 0x1fdd7016, "release_sock" },
	{ 0xb23a1cd, "__dev_get_by_name" },
	{ 0xfc935af8, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xd87a2857, "alloc_netdev_mqs" },
	{ 0x313de657, "ip_tunnel_header_ops" },
	{ 0xe59c1660, "register_netdevice" },
	{ 0x569a736e, "netif_tx_wake_queue" },
	{ 0xfefed1c4, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x86096e2f, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x579faf13, "get_net_ns" },
	{ 0xb064f60a, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xac1044a7, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xad1d4328, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xf2cb7a63, "make_kuid" },
	{ 0x29db796d, "init_user_ns" },
	{ 0x410399b9, "from_kuid" },
	{ 0x7ca1af98, "sk_detach_filter" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xefe09a95, "netdev_update_features" },
	{ 0xba73e51f, "dev_set_mac_address_user" },
	{ 0xd8d91ab, "call_netdevice_notifiers" },
	{ 0xbd676b00, "__module_get" },
	{ 0xc56f2edb, "from_kgid" },
	{ 0x8c92d428, "passthru_features_check" },
	{ 0x2b8b6287, "eth_mac_addr" },
	{ 0x9338642f, "eth_validate_addr" },
	{ 0x3b9b76e3, "ethtool_op_get_link" },
	{ 0x1cfbc7ea, "ethtool_op_get_ts_info" },
	{ 0xbf867987, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x13a68c77, "fasync_helper" },
	{ 0xb921028, "pcpu_hot" },
	{ 0xfa64bcf1, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x93c07e19, "netdev_info" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd583f82c, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0x1181b0f8, "from_kgid_munged" },
	{ 0xff938adf, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc59312da, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1bc4a290, "dev_get_tstats64" },
	{ 0x8feb5042, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe37e9fbc, "bpf_prog_get_type_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d9a413a, "rtnl_link_register" },
	{ 0xace428bb, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe968aeed, "misc_deregister" },
	{ 0xbb6e35b0, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4f93eeff, "xdp_return_frame" },
	{ 0x7d8a7136, "sk_skb_reason_drop" },
	{ 0xe00fc60b, "__wake_up_sync_key" },
	{ 0xbbd9d07a, "kill_fasync" },
	{ 0xc5356811, "netif_carrier_on" },
	{ 0xf90edaa3, "netif_carrier_off" },
	{ 0xe2b269c2, "bpf_prog_put" },
	{ 0x33163b96, "_copy_to_iter" },
	{ 0x3be96a36, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x7d437ccc, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2f957b25, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3be89d73, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xec57de9f, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf57588c9, "skb_copy_ubufs" },
	{ 0x91ed8f46, "netdev_core_stats_inc" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "69317770A27BA864FFAF603");
MODULE_INFO(rhelversion, "9.6");
