#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0xfe5e4f4d, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0xda602326, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x36f9f40a, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x6cc20013, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x978f12a6, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x3b681e71, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba71775d, "ida_alloc_range" },
	{ 0x11e5bce2, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1ee196e9, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfe7dcfd0, "skb_put" },
	{ 0xc7fa3777, "dev_set_name" },
	{ 0xfc0d9541, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x327c5001, "device_unregister" },
	{ 0x2398e92c, "skb_dequeue" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x9d2ae2a6, "finish_wait" },
	{ 0x3d9a413a, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xab5c6c83, "device_for_each_child" },
	{ 0x756a4baa, "prepare_to_wait_event" },
	{ 0xd4783088, "__wake_up" },
	{ 0x5704cea4, "rtnl_create_link" },
	{ 0x7238976, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x14e994fa, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd87a2857, "alloc_netdev_mqs" },
	{ 0x74dd9c14, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfdf5a67d, "put_device" },
	{ 0x7ffb66de, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2e499338, "_dev_info" },
	{ 0x8ea25643, "skb_queue_tail" },
	{ 0x9596364f, "rtnl_configure_link" },
	{ 0xe0fc4cb4, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbb6e35b0, "rtnl_link_unregister" },
	{ 0xc6fd4a68, "init_net" },
	{ 0x2382148f, "skb_pull" },
	{ 0x7d8a7136, "sk_skb_reason_drop" },
	{ 0x73e4ba45, "noop_llseek" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x79f7fa40, "debugfs_remove" },
	{ 0xf00a075f, "nla_put" },
	{ 0xde56b1a, "ida_free" },
	{ 0x86096e2f, "free_netdev" },
	{ 0xda4321c9, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6352309b, "class_dev_iter_init" },
	{ 0x9e135722, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x57da2658, "__init_waitqueue_head" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xc7a0aa6f, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x584cc6af, "stream_open" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x299b06e3, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe9dc60a9, "debugfs_create_dir" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xdcd95fe7, "class_register" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0x177aaae4, "skb_queue_head" },
	{ 0x13c338cf, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe59c1660, "register_netdevice" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.6");
