#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x31944c1f, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6585606e, "nvme_remove_admin_tag_set" },
	{ 0x8ed1bde3, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xba71775d, "ida_alloc_range" },
	{ 0xc7a96881, "nvme_uninit_ctrl" },
	{ 0x2490f90e, "ida_destroy" },
	{ 0x187297fc, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdaf8b55e, "nvmf_free_options" },
	{ 0x436f92a9, "nvmf_subsystem_reset" },
	{ 0xa157685e, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x9d2ae2a6, "finish_wait" },
	{ 0x31e84404, "nvme_stop_keep_alive" },
	{ 0xd4a7b816, "blk_mq_complete_request_remote" },
	{ 0x614ea531, "dma_unmap_page_attrs" },
	{ 0x2064da99, "nvme_setup_cmd" },
	{ 0x15702ca8, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x9f87724a, "nvme_alloc_admin_tag_set" },
	{ 0x7d4a42a5, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x756a4baa, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x7dfaca0b, "nvmf_reg_read32" },
	{ 0xd4783088, "__wake_up" },
	{ 0x9f338567, "nvme_delete_ctrl" },
	{ 0xb1ec87fb, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf52793d4, "dev_driver_string" },
	{ 0xb11468ac, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x31eedf14, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x5ebf22ac, "nvme_remove_io_tag_set" },
	{ 0xa08b31cd, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x59627afc, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xa3a23e8, "nvmf_unregister_transport" },
	{ 0xae7d7ad, "blkcg_get_fc_appid" },
	{ 0xfdf5a67d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2fc0f7bd, "nvme_change_ctrl_state" },
	{ 0x2e499338, "_dev_info" },
	{ 0xd1d5ef42, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb8aaa566, "nvme_alloc_io_tag_set" },
	{ 0x4ea8d606, "nvme_fail_nonready_command" },
	{ 0xe3ce67cb, "kobject_uevent_env" },
	{ 0x6a063756, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5e41599d, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x3bc81213, "device_create" },
	{ 0xaea0a0df, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x5cdef0c9, "__blk_rq_map_sg" },
	{ 0xde56b1a, "ida_free" },
	{ 0xcc7b564a, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xda4321c9, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7ad7e6e6, "nvmf_connect_admin_queue" },
	{ 0xb6435633, "nvme_enable_ctrl" },
	{ 0x9977f68f, "nvme_unquiesce_admin_queue" },
	{ 0x8c4f8d9b, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x57da2658, "__init_waitqueue_head" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5e7a5f5c, "nvme_unquiesce_io_queues" },
	{ 0x821a56c6, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4cbc062d, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x74ad5674, "nvmf_should_reconnect" },
	{ 0x303b9b06, "__dma_sync_single_for_device" },
	{ 0xcb0dc5c5, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf64c9a67, "device_destroy" },
	{ 0x5f37efb6, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x7ed4b958, "nvmf_register_transport" },
	{ 0xb0773088, "blk_mq_start_request" },
	{ 0xbe6d4d2f, "nvme_quiesce_io_queues" },
	{ 0xca5b4c93, "blk_mq_tagset_busy_iter" },
	{ 0xd2e7290f, "nvme_stop_ctrl" },
	{ 0x4fcf53d1, "dma_unmap_sg_attrs" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x10b2c5a7, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xe48ec136, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x6edc4de5, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xdcd95fe7, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa4dfe11e, "__nvme_check_ready" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0xc02f1b1f, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x85a09c48, "nvme_add_ctrl" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "837806316F0ED06192F0363");
MODULE_INFO(rhelversion, "9.6");
