#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0xf6421eed, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x0027c764, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xd357ee44, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x2ad4b1f3, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x46622175, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92e0d303, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x1880f605, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2cf2f794, "inet_addr_type_table" },
	{ 0xd07a5c1b, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x62c68a63, "skb_copy_bits" },
	{ 0xd10be7d9, "inet_unregister_protosw" },
	{ 0x9266ac4d, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe807ace2, "sock_wfree" },
	{ 0xfe7dcfd0, "skb_put" },
	{ 0xd3169b6f, "register_net_sysctl" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x93ec11b3, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc8f65d51, "ip6_dst_hoplimit" },
	{ 0xfc0d9541, "consume_skb" },
	{ 0x75962698, "inet6_add_offload" },
	{ 0xe94428e9, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1216233d, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x382305b5, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x714c74a7, "l3mdev_fib_table_by_index" },
	{ 0x504ce88a, "udp_sock_create4" },
	{ 0x2398e92c, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x73c20996, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x9d2ae2a6, "finish_wait" },
	{ 0xed77a0e, "skb_segment" },
	{ 0x6d92f4ea, "trace_event_printf" },
	{ 0xe340a64a, "__ip_dev_find" },
	{ 0x510653e3, "udp_tunnel6_xmit_skb" },
	{ 0x91b5a1b0, "sock_common_getsockopt" },
	{ 0x8f24995e, "inet_bind" },
	{ 0x1e946812, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xae089cd4, "prepare_to_wait" },
	{ 0x515bafae, "fd_install" },
	{ 0x71c03c53, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5977287, "inet_register_protosw" },
	{ 0xb921028, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x19088ada, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0x7caf8d23, "__tracepoint_sk_data_ready" },
	{ 0x50673ed4, "bpf_trace_run2" },
	{ 0x741eab2b, "sock_common_setsockopt" },
	{ 0x3d8098e9, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd4783088, "__wake_up" },
	{ 0xb7e2d23f, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9e4042bf, "ip_route_output_flow" },
	{ 0x6d75809c, "rhashtable_walk_enter" },
	{ 0x30a7fa17, "kmem_cache_create" },
	{ 0x3b6cde85, "__sk_mem_schedule" },
	{ 0x43156969, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa0011ac8, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9da9979, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x99a94631, "sk_error_report" },
	{ 0x36477a09, "register_pernet_subsys" },
	{ 0x46bb88ed, "put_cmsg" },
	{ 0xac6601fb, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0xa700c9ca, "inet_sock_destruct" },
	{ 0x64520669, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xab3d5fa8, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcffbc4b1, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xed3eb369, "inet_getname" },
	{ 0x78b3b88d, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x93a641ae, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x7ffb66de, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x93646def, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0xa215a0ae, "kmem_cache_alloc" },
	{ 0x9dfb9100, "proto_register" },
	{ 0x4c58caa3, "skb_copy_expand" },
	{ 0xe00fc60b, "__wake_up_sync_key" },
	{ 0xa378ba0c, "__sock_recv_ts_and_drops" },
	{ 0x7934f54c, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x420efb81, "idr_remove" },
	{ 0x94bd6fe7, "inet_ctl_sock_create" },
	{ 0xa4ba2ce9, "inet_ioctl" },
	{ 0xa8b3de86, "reuseport_add_sock" },
	{ 0x8e5f6151, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xe82f20ac, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x3be89d73, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x54dac7bd, "perf_trace_run_bpf_submit" },
	{ 0x81745c46, "fput" },
	{ 0xb8dc2888, "inet_accept" },
	{ 0xc6fd4a68, "init_net" },
	{ 0xd2f5b3df, "crypto_shash_setkey" },
	{ 0x2382148f, "skb_pull" },
	{ 0xb364af41, "inet_add_offload" },
	{ 0xf5ac02c6, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7d8a7136, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xeba719d8, "__SCK__tp_func_sk_data_ready" },
	{ 0x303c3387, "inet_add_protocol" },
	{ 0xf7391d23, "inet_shutdown" },
	{ 0x41086370, "sk_free" },
	{ 0xc3a07f24, "sock_wake_async" },
	{ 0xbb7d5fd2, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0xd52e550b, "inet_del_offload" },
	{ 0xdcd6cbfc, "skb_push" },
	{ 0x45e9d52b, "__ip_queue_xmit" },
	{ 0x4d363bf5, "kmem_cache_free" },
	{ 0x5009cb05, "__sk_mem_reclaim" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0xd9bcf879, "proc_doulongvec_minmax" },
	{ 0x99b546dc, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7763afba, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0xfc935af8, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6ae2fa26, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xe7fb40e3, "inet6_ioctl" },
	{ 0x3be96a36, "skb_copy_datagram_iter" },
	{ 0x7a2b2ef, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x696207b9, "idr_alloc_cyclic" },
	{ 0x6431cdea, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xae6adbbf, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf52c574, "ip6_dst_lookup_flow" },
	{ 0x70df102f, "rhashtable_free_and_destroy" },
	{ 0x971d4e72, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xa74c4a00, "rht_bucket_nested_insert" },
	{ 0x25e81cca, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2f57ea, "sock_no_mmap" },
	{ 0x57da2658, "__init_waitqueue_head" },
	{ 0xbf25462e, "__pskb_pull_tail" },
	{ 0xe7b2a80, "sock_no_sendpage" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x2fb43b5c, "setup_udp_tunnel_sock" },
	{ 0xa4e849ed, "udp_sock_create6" },
	{ 0xe8cdc1e1, "skb_trim" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb788da08, "sk_common_release" },
	{ 0x8e27dfdd, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xc0f789c9, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x45e13840, "rt_read_lock" },
	{ 0xdf5dc68d, "inet6_getname" },
	{ 0x1c469b2e, "sock_i_ino" },
	{ 0xe6821174, "inet6_sock_destruct" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa989fdb6, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xad7e2d80, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa29ac9b, "ipv4_mtu" },
	{ 0xd90a1568, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc881df0, "trace_event_buffer_reserve" },
	{ 0x59059011, "__skb_checksum" },
	{ 0xc0be8846, "reuseport_alloc" },
	{ 0x1031a8cb, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x5daa2db0, "inet6_release" },
	{ 0x7f91ef33, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x32da745b, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x31b7afab, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xfef96f67, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa5c8051a, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x887abc52, "rhltable_init" },
	{ 0xefd53ecd, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xbf90c2ad, "proc_create_net_single" },
	{ 0x22d07007, "skb_copy" },
	{ 0x742d01fc, "skb_clone" },
	{ 0x329caa8e, "inet_sk_set_state" },
	{ 0x8723692b, "dst_release" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0x468952f0, "_copy_from_iter" },
	{ 0x245465b0, "sock_release" },
	{ 0xa566a498, "inet_recv_error" },
	{ 0x87039d48, "proc_dointvec" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0x7bdad865, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0xfe4dda58, "rhashtable_walk_next" },
	{ 0x57fbb15d, "_proc_mkdir" },
	{ 0x4392f4e3, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7dda0d77, "send_sig" },
	{ 0x3877e8c2, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xdf2c34e4, "inet6_add_protocol" },
	{ 0xff938adf, "from_kuid_munged" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x34d930f4, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0x5fde98e0, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x72b416ad, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xdfc26d03, "reuseport_detach_sock" },
	{ 0xc031f428, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xd90cf0f5, "iov_iter_revert" },
	{ 0xaed43624, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x4e88243c, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xcc316ad9, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x61b56c5d, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0x5f03c692, "kmem_cache_destroy" },
	{ 0x1fdd7016, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x177aaae4, "skb_queue_head" },
	{ 0x42255569, "proc_dointvec_minmax" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "218632A41ED2E03CADC829E");
MODULE_INFO(rhelversion, "9.6");
