#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x560a1770, "");
SYMBOL_CRC(tipc_dump_start, 0x7020c007, "");
SYMBOL_CRC(tipc_dump_done, 0x64cba56f, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x8fa03a75, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7cac3d05, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x1880f605, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x264b3fd9, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1ee196e9, "__nlmsg_put" },
	{ 0x9266ac4d, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfe7dcfd0, "skb_put" },
	{ 0xd3169b6f, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc8f65d51, "ip6_dst_hoplimit" },
	{ 0xdd8068f, "trace_output_call" },
	{ 0xfc0d9541, "consume_skb" },
	{ 0xd0613387, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x382305b5, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x504ce88a, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x6d92f4ea, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xe340a64a, "__ip_dev_find" },
	{ 0xc14f2788, "dst_cache_set_ip4" },
	{ 0x510653e3, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xe231ec5d, "genlmsg_put" },
	{ 0x394ed878, "___pskb_trim" },
	{ 0x71c03c53, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb921028, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x8bfccf10, "add_wait_queue" },
	{ 0xa68fb16f, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf0363b75, "crypto_alloc_aead" },
	{ 0x7caf8d23, "__tracepoint_sk_data_ready" },
	{ 0x54a6f9b1, "netdev_warn" },
	{ 0x7e0ca4fe, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x47a4cd9d, "crypto_aead_decrypt" },
	{ 0xb7e2d23f, "event_triggers_call" },
	{ 0x277eb02a, "kernel_accept" },
	{ 0xbd676b00, "__module_get" },
	{ 0x9e4042bf, "ip_route_output_flow" },
	{ 0x6d75809c, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6be41965, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb128efa1, "pskb_expand_head" },
	{ 0x36477a09, "register_pernet_subsys" },
	{ 0x46bb88ed, "put_cmsg" },
	{ 0x14e994fa, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xac6601fb, "trace_event_buffer_commit" },
	{ 0x64520669, "crypto_destroy_tfm" },
	{ 0xb034669b, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x78b3b88d, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2fc8f5d5, "sock_register" },
	{ 0x5ceada08, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x93a641ae, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x7ffb66de, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0x6e08ea85, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x239b843f, "skb_try_coalesce" },
	{ 0x9dfb9100, "proto_register" },
	{ 0x4c58caa3, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xe00fc60b, "__wake_up_sync_key" },
	{ 0x8ea25643, "skb_queue_tail" },
	{ 0x26d8cba4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x420efb81, "idr_remove" },
	{ 0xe48bb199, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5bd0c69, "__dev_get_by_index" },
	{ 0x54dac7bd, "perf_trace_run_bpf_submit" },
	{ 0xc6fd4a68, "init_net" },
	{ 0x8a30ca60, "ipv6_stub" },
	{ 0x2382148f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa6666f1e, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6ff04fe2, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x7d8a7136, "sk_skb_reason_drop" },
	{ 0x7196eb91, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xeba719d8, "__SCK__tp_func_sk_data_ready" },
	{ 0xa40bc57, "dev_remove_pack" },
	{ 0x41086370, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xbecd99c5, "kernel_sock_shutdown" },
	{ 0x66e1f50e, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xdcd6cbfc, "skb_push" },
	{ 0x90c7e056, "dst_cache_get" },
	{ 0x2d60bbeb, "sock_no_listen" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd9bcf879, "proc_doulongvec_minmax" },
	{ 0x99b546dc, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x98d7fb29, "iov_iter_kvec" },
	{ 0x3a46de53, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7763afba, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x82886719, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6ae2fa26, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3be96a36, "skb_copy_datagram_iter" },
	{ 0x7a2b2ef, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6431cdea, "sk_alloc" },
	{ 0x7653e92d, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xae6adbbf, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x3b5d529a, "kfree_skb_partial" },
	{ 0xa74c4a00, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x25e81cca, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2f57ea, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xbf25462e, "__pskb_pull_tail" },
	{ 0xe7b2a80, "sock_no_sendpage" },
	{ 0xe28707f3, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x5ed0a88a, "rhashtable_destroy" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x2fb43b5c, "setup_udp_tunnel_sock" },
	{ 0xa4e849ed, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe8cdc1e1, "skb_trim" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x476e5edc, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8e27dfdd, "bpf_trace_run3" },
	{ 0xc0f789c9, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb017f647, "sock_rfree" },
	{ 0x45e13840, "rt_read_lock" },
	{ 0x1c469b2e, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xab3fbc47, "kernel_listen" },
	{ 0x58a3fc7, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc881df0, "trace_event_buffer_reserve" },
	{ 0x7c185c7a, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xa712e075, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x6c32ce87, "rt_spin_trylock_bh" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6cbd1078, "dst_cache_set_ip6" },
	{ 0x7d6ae35e, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa5c8051a, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xefd53ecd, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd5940b72, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x22d07007, "skb_copy" },
	{ 0x742d01fc, "skb_clone" },
	{ 0x78edbc84, "dev_get_by_name" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0x468952f0, "_copy_from_iter" },
	{ 0x245465b0, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xec7f4476, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xfe4dda58, "rhashtable_walk_next" },
	{ 0x578eda00, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x95c5c976, "sk_stop_timer" },
	{ 0x3877e8c2, "unregister_net_sysctl_table" },
	{ 0x7694d5fb, "genl_unregister_family" },
	{ 0xff938adf, "from_kuid_munged" },
	{ 0xab06633d, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xd90cf0f5, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x30882e7f, "genl_register_family" },
	{ 0x26758295, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb1c0cd51, "skb_to_sgvec" },
	{ 0xcc316ad9, "rhashtable_walk_exit" },
	{ 0x1aa5c6af, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x61b56c5d, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8ff0e485, "kmalloc_caches" },
	{ 0x1fdd7016, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x42255569, "proc_dointvec_minmax" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,ipv6");


MODULE_INFO(srcversion, "5C25E4FED17CD5184039F3F");
MODULE_INFO(rhelversion, "9.6");
